Class VistA2CCRA.Production Extends Ens.Production
{

XData ProductionDefinition
{
<Production Name="VistA2CCRA.Production" LogGeneralTraceEvents="false">
  <Description></Description>
  <ActorPoolSize>2</ActorPoolSize>
  <Item Name="ToHCEdge" Category="" ClassName="EnsLib.HL7.Operation.TCPOperation" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="IPAddress">IP          </Setting>
    <Setting Target="Adapter" Name="Port">56001</Setting>
  </Item>
  <Item Name="FromHSEdgeREFSIU" Category="" ClassName="EnsLib.HL7.Service.TCPService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MessageSchemaCategory">HSRM_SIU_REF</Setting>
    <Setting Target="Host" Name="TargetConfigNames">FromHSEdgeREFSIU_Router</Setting>
    <Setting Target="Adapter" Name="Port">55001</Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
    <Setting Target="Host" Name="LocalFacilityApplication">@:@</Setting>
  </Item>
  <Item Name="FromHSEdgeREFSIU_Router" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">VistA2CCRA.FromHS2VistA</Setting>
  </Item>
  <Item Name="FromHSEdgeREFSIU_VistAD1SubRouter" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">VistA2CCRA.FromHS2VistAD1RoutingRule</Setting>
  </Item>
  <Item Name="FromHSEdgeREFSIU_VistAS1SubRouter" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">VistA2CCRA.FromHS2VistAS1RoutingRule</Setting>
  </Item>
  <Item Name="FromHSEdgeREFSIU_VistAS2SubRouter" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">VistA2CCRA.FromHS2VistAS2RoutingRule</Setting>
  </Item>
  <Item Name="ToVistAD1" Category="" ClassName="EnsLib.HL7.Operation.TCPOperation" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="IPAddress">IP          </Setting>
    <Setting Target="Adapter" Name="Port">5036</Setting>
    <Setting Target="Adapter" Name="StayConnected">60</Setting>
    <Setting Target="Host" Name="ReplyCodeActions">:?R=F,:?E=S,:~=S,:?A=C,:*=S,:I?=W,:T?=C</Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
  </Item>
  <Item Name="ToVistAS1" Category="" ClassName="EnsLib.HL7.Operation.TCPOperation" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="IPAddress">IP          </Setting>
    <Setting Target="Adapter" Name="Port">5036</Setting>
    <Setting Target="Adapter" Name="StayConnected">60</Setting>
    <Setting Target="Host" Name="ReplyCodeActions">:?R=F,:?E=S,:~=S,:?A=C,:*=S,:I?=W,:T?=C</Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
  </Item>
  <Item Name="ToVistAS2" Category="" ClassName="EnsLib.HL7.Operation.TCPOperation" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="IPAddress">IP          </Setting>
    <Setting Target="Adapter" Name="Port">5036</Setting>
    <Setting Target="Adapter" Name="StayConnected">60</Setting>
    <Setting Target="Host" Name="ReplyCodeActions">:?R=F,:?E=S,:~=S,:?A=C,:*=S,:I?=W,:T?=C</Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
  </Item>
  <Item Name="FromVistaS1" Category="" ClassName="EnsLib.HL7.Service.TCPService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MessageSchemaCategory">FromVistaRefRri</Setting>
    <Setting Target="Host" Name="TargetConfigNames">FromVistaS1_Router</Setting>
    <Setting Target="Adapter" Name="Port">56001</Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
    <Setting Target="Host" Name="LocalFacilityApplication">@:@</Setting>
    <Setting Target="Adapter" Name="StayConnected">0</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="FromVistaS2" Category="" ClassName="EnsLib.HL7.Service.TCPService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MessageSchemaCategory">FromVistaRefRri</Setting>
    <Setting Target="Host" Name="TargetConfigNames">FromVistaInstance1_Router,FromVistaS2_Router</Setting>
    <Setting Target="Adapter" Name="Port">5036</Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
    <Setting Target="Host" Name="LocalFacilityApplication">@:@</Setting>
    <Setting Target="Adapter" Name="StayConnected">0</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="FromVistaS1_Router" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">VistA2CCRA.FromVistARefRriRoutingRule</Setting>
  </Item>
  <Item Name="FromVistaS2_Router" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">VistA2CCRA.FromVistARefRriRoutingRule</Setting>
  </Item>
  <Item Name="FromVistaG1_Router" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">VistA2CCRA.FromVistARefRriRoutingRule</Setting>
  </Item>
  <Item Name="FromVistaG2_Router" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">VistA2CCRA.FromVistARefRriRoutingRule</Setting>
  </Item>
  <Item Name="FromVistaG1" Category="" ClassName="EnsLib.HL7.Service.TCPService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MessageSchemaCategory">FromVistaRefRri</Setting>
    <Setting Target="Host" Name="TargetConfigNames">FromVistaG1_Router</Setting>
    <Setting Target="Adapter" Name="Port">5046</Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
    <Setting Target="Host" Name="LocalFacilityApplication">@:@</Setting>
    <Setting Target="Adapter" Name="StayConnected">0</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="FromVistaG2" Category="" ClassName="EnsLib.HL7.Service.TCPService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MessageSchemaCategory">FromVistaRefRri</Setting>
    <Setting Target="Host" Name="TargetConfigNames">FromVistaG2_Router</Setting>
    <Setting Target="Adapter" Name="Port">5056</Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
    <Setting Target="Host" Name="LocalFacilityApplication">@:@</Setting>
    <Setting Target="Adapter" Name="StayConnected">0</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="Ens.Alert" Category="" ClassName="EnsLib.MsgRouter.RoutingEngine" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">VistA2CCRA.HL7.MsgRouter.AlertRoutingRule</Setting>
  </Item>
  <Item Name="EmailAlertOperation" Category="" ClassName="EnsLib.EMail.AlertOperation" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="Cc"></Setting>
    <Setting Target="Adapter" Name="From">ccrateam2@not_a_real_account.DOMAIN.EX</Setting>
    <Setting Target="Adapter" Name="Recipient">PII               </Setting>
    <Setting Target="Host" Name="ReplyCodeActions">W</Setting>
    <Setting Target="Adapter" Name="SMTPPort">25</Setting>
    <Setting Target="Adapter" Name="SMTPServer">DNS        </Setting>
  </Item>
</Production>
}

}
T