Include HS.Common

/// A sample production for an Edge Gateway with only basic communication components, and no expectation
/// of being an ECR
/// It can be used as an audit production
Class HC2HSRM.Production Extends HS.Util.AbstractEdgeProduction [ ProcedureBlock ]
{

XData ProductionDefinition
{
<Production Name="HC2HSRM.Production" TestingEnabled="true" LogGeneralTraceEvents="false">
  <Description>An example production showing a simple edge communication production</Description>
  <ActorPoolSize>1</ActorPoolSize>
  <Setting Target="Production" Name="ShutdownTimeout">10</Setting>
  <Item Name="HUB" Category="" ClassName="HS.Hub.HSWS.RemoteOperations" PoolSize="1" Enabled="true" Foreground="false" DisableErrorTraps="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
    <Setting Target="Host" Name="ServiceName">HSREGISTRY</Setting>
    <Setting Target="Adapter" Name="ResponseTimeout">2592000</Setting>
    <Setting Target="Host" Name="FailureTimeout">-1</Setting>
    <Setting Target="Host" Name="Retry">1</Setting>
    <Setting Target="Host" Name="RetryInterval">120</Setting>
  </Item>
  <Item Name="HS.Gateway.HSWS.WebServices" Category="" ClassName="HS.Gateway.HSWS.WebServices" PoolSize="0" Enabled="true" Foreground="false" DisableErrorTraps="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
    <Setting Target="Host" Name="ResourceRequired">%HS_WebServices</Setting>
    <Setting Target="Host" Name="GatewayName">gov-tic-dev-hsedge:EGVAHSRM</Setting>
  </Item>
  <Item Name="HS.Util.MaintenanceService" Category="" ClassName="HS.Util.MaintenanceService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
    <Setting Target="Adapter" Name="CallInterval">60</Setting>
  </Item>
  <Item Name="GATEWAY" Category="" ClassName="HS.Gateway.Access.RemoteOperations" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
    <Setting Target="Adapter" Name="SOAPCredentials">HSACCESS</Setting>
  </Item>
  <Item Name="AGGREGATOR" Category="" ClassName="HS.Gateway.Access.RemoteOperations" PoolSize="2" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
    <Setting Target="Adapter" Name="SOAPCredentials">HSACCESS</Setting>
  </Item>
  <Item Name="HS.Util.Trace.Operations" Category="" ClassName="HS.Util.Trace.Operations" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="FromHCRefRri" Category="" ClassName="EnsLib.HL7.Service.TCPService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MessageSchemaCategory">FromVistaRefRri</Setting>
    <Setting Target="Host" Name="TargetConfigNames">FromHCRefRri_Router,PatientIdentity_Router</Setting>
    <Setting Target="Adapter" Name="Port">56001</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="FromHCRefRri_Router" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">HC2HSRM.FromHCRefRriRoutingRule</Setting>
  </Item>
  <Item Name="ToHSRM" Category="" ClassName="EnsLib.HL7.Operation.TCPOperation" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="IPAddress">IP          </Setting>
    <Setting Target="Adapter" Name="Port">56001</Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="CCRA.MVI.GetICN.Process" Category="" ClassName="CCRA.MVI.GetICN.Process" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="CCRA.MVI.Operation" Category="" ClassName="EnsLib.HL7.Operation.TCPOperation" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="IPAddress"></Setting>
    <Setting Target="Adapter" Name="Port"></Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  
  <Item Name="FromHCRefRri_File" Category="" ClassName="EnsLib.HL7.Service.FileService" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MessageSchemaCategory">FromVistaRefRri</Setting>
    <Setting Target="Host" Name="TargetConfigNames">FromHCRefRri_Router</Setting>
    <Setting Target="Adapter" Name="FilePath">/home/ckegg/FromHC/</Setting>
    <Setting Target="Adapter" Name="ArchivePath"></Setting>
    <Setting Target="Adapter" Name="FileSpec">*</Setting>
  </Item>
  <Item Name="FromHSRMREFSIU" Category="" ClassName="EnsLib.HL7.Service.TCPService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MessageSchemaCategory">HSRM_SIU_REF</Setting>
    <Setting Target="Host" Name="TargetConfigNames">FromHSRMREFSIU_Router</Setting>
    <Setting Target="Adapter" Name="Port">5450</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
    <Setting Target="Adapter" Name="StayConnected">60</Setting>
  </Item>
  <Item Name="FromHSRMREFSIU_Router" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">HC2HSRM.FromHSRMREFSIURoutingRule</Setting>
  </Item>
  
  <Item Name="ToHCVISTAREFSIU" Category="" ClassName="EnsLib.HL7.Operation.TCPOperation" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="IPAddress">IP          </Setting>
    <Setting Target="Adapter" Name="Port">55001</Setting>
    <Setting Target="Host" Name="SaveReplies">All</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="FromHSRMREF" Category="" ClassName="EnsLib.HL7.Service.TCPService" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MessageSchemaCategory">FromVistaRefRri</Setting>
    <Setting Target="Host" Name="TargetConfigNames">FromHSRMREF_Router</Setting>
    <Setting Target="Adapter" Name="Port">5450</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
    <Setting Target="Adapter" Name="StayConnected">60</Setting>
  </Item>
  <Item Name="FromHSRMREF_Router" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName"></Setting>
  </Item>

  <Item Name="Ens.Alert" Category="" ClassName="EnsLib.MsgRouter.RoutingEngine" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">Ens.AlertRoutingRule</Setting>
  </Item>
  <Item Name="EmailAlertOperation" Category="" ClassName="EnsLib.EMail.AlertOperation" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="Cc"></Setting>
    <Setting Target="Adapter" Name="From">ccrateam2@not_a_real_account.DOMAIN.EX</Setting>
    <Setting Target="Adapter" Name="Recipient">PII               </Setting>
    <Setting Target="Host" Name="ReplyCodeActions">W</Setting>
    <Setting Target="Adapter" Name="SMTPPort">25</Setting>
    <Setting Target="Adapter" Name="SMTPServer">DNS        </Setting>
  </Item>
  <Item Name="HS.Gateway.HL7.InboundProcess" Category="" ClassName="HS.Gateway.HL7.InboundProcess" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MPIUpdateMode">Always</Setting>
  </Item>
  <Item Name="HS.Gateway.ECR.Manager" Category="" ClassName="HS.Gateway.ECR.Manager" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="MPIUpdateManager" Category="" ClassName="HS.Gateway.ECR.MPIUpdateManager" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="PatientIdentity_Router" Category="" ClassName="EnsLib.HL7.MsgRouter.RoutingEngine" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">HC2HSRM.PatientIdentityRouterRoutingRule</Setting>
  </Item>
  <Item Name="HC2HSRM.Util.Test.PatientIdentity" Category="" ClassName="HC2HSRM.Util.Test.PatientIdentity" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="true" Schedule="">
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
  </Item>
  <Item Name="HS.Gateway.ECR.Process" Category="" ClassName="HS.Gateway.ECR.Process" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
</Production>
}

}
T