Class CCRA.Operation.ReferralDataExtractionSoap Extends (Ens.BusinessOperation, HS.Util.Trace.Helper, HS.Util.Trace.Performance) [ ClassType = "", Inheritance = right, ProcedureBlock ]
{

Property ServiceName As %String [ InitialExpression = "HSRM.ReferralDataExtraction" ];

Parameter SETTINGS = "ServiceName:Basic";

Parameter ADAPTER = "EnsLib.SOAP.OutboundAdapter";

Method RetrieveReferral(pRequest As CCRA.Message.RetrieveReferralRequest, Output pResponse As CCRA.Message.RetrieveReferralResponse) As %Library.Status
{
	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	
	try {

		Set ..Adapter.WebServiceClientClass = "CCRA.WS.Client.ReferralDataExtractionSoap"
		$$$ThrowOnError(..GetEndPoint())
		$$$ThrowOnError(..Adapter.InvokeMethod("RetrieveReferral",.RetrieveReferralResult,pRequest.Id,pRequest.Mode))
		$$$ThrowOnError(pRequest.NewResponse(.pResponse))
		Set pResponse.RetrieveReferralResult=$get(RetrieveReferralResult)
	
	} catch e {
		
		set tSC = e.AsStatus()
		
	}
	
	quit tSC
}

Method RetrieveReferralListFromCCRSIndex(pRequest As CCRA.Message.RetrieveReferralListFromCCRSIndexRequest, Output pResponse As CCRA.Message.RetrieveReferralListFromCCRSIndexResponse) As %Library.Status
{
	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	
	try {

		Set ..Adapter.WebServiceClientClass = "CCRA.WS.Client.ReferralDataExtractionSoap"
		$$$ThrowOnError(..GetEndPoint())
		$$$ThrowOnError(..Adapter.InvokeMethod("RetrieveReferralListFromCCRSIndex",.RetrieveRefrrlLstFrmCCRSndxRslt,pRequest.StartDate,pRequest.EndDate))
		$$$ThrowOnError(pRequest.NewResponse(.pResponse))
		Set pResponse.RetrieveRefrrlLstFrmCCRSndxRslt=$get(RetrieveRefrrlLstFrmCCRSndxRslt)
	
	} catch e {
		
		set tSC = e.AsStatus()
		
	}
	
	quit tSC
}

Method GetEndPoint() As %Status
{
	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	
	try {

		//Get WS Location from HS Service Registry
		Set tEndPoint = ##class(HS.Registry.Service.SOAP).EndPointForNameType(..ServiceName,"SOAP")
		If $isObject(tEndPoint) {
			Set tURL=tEndPoint.EndPoint
			Set ..Adapter.SOAPCredentials=tEndPoint.UsernameTokenProfileConfig
			Set ..Adapter.SSLConfig=tEndPoint.SSLConfig
		} else {
			$$$ThrowOnError($$$ERROR($$$GeneralError,"ServiceName not found"))
		}
		
		$$$HSTRACE("URL","tURL,tEndPoint",tURL,tEndPoint)
		Set ..Adapter.WebServiceURL = tURL
	} catch e {
		
		set tSC = e.AsStatus()
		
	}
	
	quit tSC
}

XData MessageMap
{
<MapItems>
	<MapItem MessageType="CCRA.Message.RetrieveReferralRequest">
		<Method>RetrieveReferral</Method>
	</MapItem>
	<MapItem MessageType="CCRA.Message.RetrieveReferralListFromCCRSIndexRequest">
		<Method>RetrieveReferralListFromCCRSIndex</Method>
	</MapItem>
</MapItems>
}

}
