/// Created from: http://DNS  dbscra801.aac.DOMAIN.EX:58774/csp/ccraint/CCRA.WS.ReferralDataExtraction.CLS?WSDL=1
Class CCRA.WS.Client.s0.Referral Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://tempuri.org";

Parameter XMLNAME = "Referral";

Parameter XMLSEQUENCE = 1;

Property Patient As CCRA.WS.Client.s0.Patient(XMLNAME = "Patient");

Property Diagnosis As %String(MAXLEN = "", XMLNAME = "Diagnosis");

// 06-05-2018 MKC

// Rational Jazz Task #750981 - added Diagnosis code

Property DiagnosisCode As %String(MAXLEN = "");

Property MedicalNecessity As %String(MAXLEN = "", XMLNAME = "MedicalNecessity");

Property EnrollmentStatus As %String(MAXLEN = "", XMLNAME = "EnrollmentStatus");

Property Payor As %String(MAXLEN = "", XMLNAME = "Payor");

// 06-06-2018 MKC

// Rational Jazz Task #752496 - added Payor Status 

Property PayorStatus As %String(MAXLEN = "");

Property Plan As %String(MAXLEN = "", XMLNAME = "Plan");

// 06-07-2018 MKC

// Rational Jazz Story #742981 - Add Primary Care Provider NPI to data extraction

Property PrimaryCareProviderNPI As %String(MAXLEN = "");

// MM 10/04/2018 Add Primary Care Provider Name

Property PrimaryCareProviderName As %String(MAXLEN = "");

Property TreatingProvider As %String(MAXLEN = "", XMLNAME = "TreatingProvider");

Property TreatingProviderNPI As %String(MAXLEN = "");

Property ReferralCategory As %String(MAXLEN = "", XMLNAME = "ReferralCategory");

Property ReferralDate As %String(MAXLEN = "", XMLNAME = "ReferralDate");

Property ReferralExpirationDate As %String(MAXLEN = "", XMLNAME = "ReferralExpirationDate");

Property ReferralLastUpdateDate As %String(MAXLEN = "", XMLNAME = "ReferralLastUpdateDate");

Property ReferralNumber As %String(MAXLEN = "", XMLNAME = "ReferralNumber");

Property ReferralConsultId As %String(MAXLEN = "");

Property ReferralPeriod As %String(MAXLEN = "", XMLNAME = "ReferralPeriod");

Property ReferringFacility As %String(MAXLEN = "", XMLNAME = "ReferringFacility");

Property ReferringProvider As %String(MAXLEN = "", XMLNAME = "ReferringProvider");

Property ReferralReturnReason As %String(MAXLEN = "", XMLNAME = "ReferralReturnReason");

Property ReferringSpecialty As %String(MAXLEN = "", XMLNAME = "ReferringSpecialty");

Property SourceOfReferral As %String(MAXLEN = "", XMLNAME = "SourceOfReferral");

Property Status As %String(MAXLEN = "", XMLNAME = "Status");

Property ServiceRequested As %String(MAXLEN = "", XMLNAME = "ServiceRequested");

Property SecondaryPayor As %String(MAXLEN = "", XMLNAME = "SecondaryPayor");

Property SecondaryPlan As %String(MAXLEN = "", XMLNAME = "SecondaryPlan");

Property TreatingFacility As %String(MAXLEN = "", XMLNAME = "TreatingFacility");

Property TreatingSpeciality As %String(MAXLEN = "", XMLNAME = "TreatingSpeciality");

Property CoPaymentStatus As CCRA.WS.Client.s0.CoPaymentStatus(XMLNAME = "CoPaymentStatus");

Property Network As %String(MAXLEN = "", XMLNAME = "Network");

Property NetworkCode As %String(MAXLEN = "", XMLNAME = "NetworkCode");

// JLM 10-11-18 Adding Network Code

Property CLINCode As %String(MAXLEN = "", XMLNAME = "CLINCode");

Property CLINDesc As %String(MAXLEN = "", XMLNAME = "CLINDesc");

Property PaymentAuthorityCode As %String(MAXLEN = "", XMLNAME = "PaymentAuthorityCode");

Property PaymentAuthorityDesc As %String(MAXLEN = "", XMLNAME = "PaymentAuthorityDesc");

Property PreAuthorizations As list Of CCRA.WS.Client.s0.PreAuthorization(XMLITEMNAME = "PreAuthorization", XMLNAME = "PreAuthorizations", XMLPROJECTION = "COLLECTION");

Property MilitarySexualTraumaInfo As CCRA.WS.Client.s0.MilitarySexualTraumaInfo(XMLNAME = "MilitarySexualTraumaInfo");

Property NoseThroatRadiumInfo As CCRA.WS.Client.s0.NoseThroatRadiumInfo(XMLNAME = "NoseThroatRadiumInfo");

Property TransactionHistory As list Of CCRA.WS.Client.s0.TransactionHistory(XMLITEMNAME = "TransactionHistory", XMLNAME = "TransactionHistory", XMLPROJECTION = "COLLECTION");

Property TreatmentStartDate As %Date(XMLNAME = "TreatmentStartDate");

Property PreferredProvider As %String(MAXLEN = "", XMLNAME = "PreferredProvider");

// OHI Info

// MKC 06-06-2018

// Jazz Task# 752166 - Adding OHI data elements to HSRM data extraction

Property OHI As list Of CCRA.WS.Client.s0.OHI;

Property OrderingOfficerName As %String(MAXLEN = "", XMLNAME = "OrderingOfficerName");

// BEGIN: eCAMS fields

// JLM 07-11-18

// Jazz Story #772894 - eCAMS add additional required fields to CCRA data transformation

Property CategoryOfCare As %String(MAXLEN = 220);

Property StationID As %String;

Property Sta6 As %String;

// 8/13/18  JLM added per eCAMS team request

Property EstimatedCostOfCare As %String;

Property SeocID As %String(MAXLEN = 220);

Property Comments As %String(MAXLEN = "");

Property ReferringProviderNPI As %String;

Property TreatingFacilityTaxID As %String;

Property TreatingProviderTaxID As %String;

Property NoteOnAppointmentScreen As %String;

Property CommentOnReferralScreen As %String;

// END: eCAMS fields

// 10/22/18 JLM New TriWest Fields

Property PriorityCode As %String;

Property PriorityDescription As %String;

// Property AppointmentTime as %String;

Property AppointmentDate As %String;

Property Appointments As list Of CCRA.WS.Client.s0.Appointment;

Property ClinicallyIndicatedDate As %String;

Property TreatingSpecialityCode As %String;

Property AffilitationDesc As %String;

Property AffilitationCode As %String;

Property TreatingFacilityAddress As CCRA.WS.Client.s0.Address;

Property TreatingFacilityPhone As %String;

Property TreatingFacilityFax As %String;

// END: TriWest fields

Storage Default
{
<Data name="ReferralState">
<Value name="1">
<Value>Patient</Value>
</Value>
<Value name="2">
<Value>Diagnosis</Value>
</Value>
<Value name="3">
<Value>MedicalNecessity</Value>
</Value>
<Value name="4">
<Value>EnrollmentStatus</Value>
</Value>
<Value name="5">
<Value>Payor</Value>
</Value>
<Value name="6">
<Value>Plan</Value>
</Value>
<Value name="7">
<Value>TreatingProvider</Value>
</Value>
<Value name="8">
<Value>ReferralCategory</Value>
</Value>
<Value name="9">
<Value>ReferralDate</Value>
</Value>
<Value name="10">
<Value>ReferralExpirationDate</Value>
</Value>
<Value name="11">
<Value>ReferralLastUpdateDate</Value>
</Value>
<Value name="12">
<Value>ReferralNumber</Value>
</Value>
<Value name="13">
<Value>ReferralPeriod</Value>
</Value>
<Value name="14">
<Value>ReferringFacility</Value>
</Value>
<Value name="15">
<Value>ReferringProvider</Value>
</Value>
<Value name="16">
<Value>ReferralReturnReason</Value>
</Value>
<Value name="17">
<Value>ReferringSpecialty</Value>
</Value>
<Value name="18">
<Value>SourceOfReferral</Value>
</Value>
<Value name="19">
<Value>Status</Value>
</Value>
<Value name="20">
<Value>ServiceRequested</Value>
</Value>
<Value name="21">
<Value>SecondaryPayor</Value>
</Value>
<Value name="22">
<Value>SecondaryPlan</Value>
</Value>
<Value name="23">
<Value>TreatingFacility</Value>
</Value>
<Value name="24">
<Value>TreatingSpeciality</Value>
</Value>
<Value name="25">
<Value>CoPaymentStatus</Value>
</Value>
<Value name="26">
<Value>Network</Value>
</Value>
<Value name="27">
<Value>CLINCode</Value>
</Value>
<Value name="28">
<Value>CLINDesc</Value>
</Value>
<Value name="29">
<Value>PaymentAuthorityCode</Value>
</Value>
<Value name="30">
<Value>PaymentAuthorityDesc</Value>
</Value>
<Value name="31">
<Value>PreAuthorizations</Value>
</Value>
<Value name="32">
<Value>MilitarySexualTraumaInfo</Value>
</Value>
<Value name="33">
<Value>NoseThroatRadiumInfo</Value>
</Value>
<Value name="34">
<Value>TransactionHistory</Value>
</Value>
<Value name="35">
<Value>AppointmentDate</Value>
</Value>
<Value name="36">
<Value>TreatmentStartDate</Value>
</Value>
<Value name="37">
<Value>PreferredProvider</Value>
</Value>
<Value name="38">
<Value>OtherInsuranceInfo</Value>
</Value>
<Value name="39">
<Value>OrderingOfficerName</Value>
</Value>
<Value name="40">
<Value>ReferralConsultId</Value>
</Value>
<Value name="41">
<Value>TreatingProviderNPI</Value>
</Value>
<Value name="42">
<Value>DiagnosisCode</Value>
</Value>
<Value name="43">
<Value>OHI</Value>
</Value>
<Value name="44">
<Value>PayorStatus</Value>
</Value>
<Value name="45">
<Value>PrimaryCareProviderNPI</Value>
</Value>
<Value name="46">
<Value>CategoryOfCare</Value>
</Value>
<Value name="47">
<Value>StationID</Value>
</Value>
<Value name="48">
<Value>EstimatedCostOfCare</Value>
</Value>
<Value name="49">
<Value>SeocID</Value>
</Value>
<Value name="50">
<Value>Comments</Value>
</Value>
<Value name="51">
<Value>ReferringProviderNPI</Value>
</Value>
<Value name="52">
<Value>TreatingFacilityTaxID</Value>
</Value>
<Value name="53">
<Value>TreatingProviderTaxID</Value>
</Value>
<Value name="54">
<Value>NoteOnAppointmentScreen</Value>
</Value>
<Value name="55">
<Value>CommentOnReferralScreen</Value>
</Value>
<Value name="56">
<Value>Sta6</Value>
</Value>
<Value name="57">
<Value>PrimaryCareProviderName</Value>
</Value>
<Value name="58">
<Value>NetworkCode</Value>
</Value>
<Value name="59">
<Value>Priority</Value>
</Value>
<Value name="60">
<Value>PriorityCode</Value>
</Value>
<Value name="61">
<Value>PriorityDescription</Value>
</Value>
<Value name="62">
<Value>AppointmentTime</Value>
</Value>
<Value name="63">
<Value>Appointments</Value>
</Value>
<Value name="64">
<Value>ClinicallyIndicatedDate</Value>
</Value>
<Value name="65">
<Value>SpecialtyCode</Value>
</Value>
<Value name="66">
<Value>TreatingSpecialityCode</Value>
</Value>
<Value name="67">
<Value>Affilitation</Value>
</Value>
<Value name="68">
<Value>AffilitationDesc</Value>
</Value>
<Value name="69">
<Value>AffilitationCode</Value>
</Value>
<Value name="70">
<Value>TreatingFacilityAddress</Value>
</Value>
<Value name="71">
<Value>TreatingFacilityPhone</Value>
</Value>
<Value name="72">
<Value>TreatingFacilityFax</Value>
</Value>
</Data>
<State>ReferralState</State>
<StreamLocation>^CCRA.WS.Client.s0.ReferralS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
T