/// CCRA.WS.ReferralDataExtraction
Class CCRA.WS.ReferralDataExtraction Extends EnsLib.SOAP.Service
{

Property ReferralDataExtractionTarget As Ens.DataType.ConfigName [ InitialExpression = "CCRA.Process.ReferralDataExtraction" ];

Parameter ADAPTER;

/// Name of the WebService.
Parameter SERVICENAME = "ReferralDataExtraction";

/// TODO: change this to actual SOAP namespace.
/// SOAP Namespace for the WebService
Parameter NAMESPACE = "http://tempuri.org";

/// Namespaces of referenced classes will be used in the WSDL.
Parameter USECLASSNAMESPACES = 1;

Parameter SETTINGS = "ReferralDataExtractionTarget";

/// Retrieve a list of referrals whose Id has been added to the CCRS Index File
Method RetrieveReferralListFromCCRSIndex(StartDate As %Date, EndDate As %Date) As CCRA.ReferralList [ WebMethod ]
{
	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	#dim tRequest As CCRA.Message.ReferralListRequest 
	#dim tResponse As CCRA.Message.ReferralListResponse = ""
	#dim tReferralList As CCRA.ReferralList
	
	try {
		
		set tRequest = ##class(CCRA.Message.ReferralListRequest).%New()
		set tRequest.RequestStartDate = StartDate
		set tRequest.RequestEndDate = EndDate
		$$$ThrowOnError(..SendRequestSync(..ReferralDataExtractionTarget,tRequest,.tResponse))
		
		set:'(tResponse=$$$NULLOREF) tReferralList = tResponse.ReferralList
		
		
	} catch e {
		
		set tSC = e.AsStatus()
		do ..ReturnMethodStatusFault(tSC)
		
	}
	
	quit tReferralList
}

/// Retrieve a Referral providing 1 of 3 possible type of referrals Ids.
/// Mode 0 = WL_RowId (Internal HSRM Row Id)
/// Mode 1 = WL_NO (HSRM Assigned Referral Id)
/// Mode 2 = WL_ReferralUniqueId (Consult Id)
Method RetrieveReferral(Id As %String, Mode As %Integer) As CCRA.Referral [ WebMethod ]
{
	#dim tSC As %Status
	#dim e As %Exception.AbstractException
	#dim tRequest As CCRA.Message.GetReferralByIdRequest
	#dim tResponse As CCRA.Message.GetReferralByIdResponse = ""
	#dim tReferral As CCRA.Referral
	
	try {
		
		set tRequest = ##class(CCRA.Message.GetReferralByIdRequest).%New()
		set tRequest.ReferralId = Id
		set tRequest.Mode = Mode
		$$$ThrowOnError(..SendRequestSync(..ReferralDataExtractionTarget,tRequest,.tResponse))
		
		set:'(tResponse=$$$NULLOREF) tReferral = tResponse.Referral
		
	} catch e {
		
		set tSC = e.AsStatus()
		do ..ReturnMethodStatusFault(tSC)
		
	}
	
	quit tReferral
}

}
