Class CCRAINTPKG.AccessGatewayProduction Extends Ens.Production
{

XData ProductionDefinition
{
<Production Name="CCRAINTPKG.AccessGatewayProduction" TestingEnabled="true" LogGeneralTraceEvents="true">
  <Description></Description>
  <ActorPoolSize>2</ActorPoolSize>
  <Item Name="HS.Gateway.Access.Manager" Category="" ClassName="HS.Gateway.Access.Manager" PoolSize="0" Enabled="true" Foreground="false" DisableErrorTraps="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
    <Setting Target="Host" Name="FetchRegistryData">1</Setting>
  </Item>
  <Item Name="HUB" Category="" ClassName="HS.Hub.HSWS.RemoteOperations" PoolSize="0" Enabled="true" Foreground="false" DisableErrorTraps="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
    <Setting Target="Host" Name="ServiceName">HSREGISTRY</Setting>
  </Item>
  <Item Name="GATEWAY" Category="" ClassName="HS.Gateway.HSWS.RemoteOperations" PoolSize="2" Enabled="true" Foreground="false" DisableErrorTraps="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
  </Item>
  <Item Name="HS.Viewer.Services" Category="" ClassName="HS.Viewer.Services" PoolSize="0" Enabled="true" Foreground="false" DisableErrorTraps="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
  </Item>
  <Item Name="HS.Util.MaintenanceService" Category="" ClassName="HS.Util.MaintenanceService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
    <Setting Target="Adapter" Name="CallInterval">60</Setting>
  </Item>
  <Item Name="HS.Gateway.Access.QueryProcess" Category="" ClassName="HS.Gateway.Access.QueryProcess" PoolSize="0" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
  </Item>
  <Item Name="HS.Gateway.Access.WebServices" Category="" ClassName="HS.Gateway.Access.WebServices" PoolSize="0" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
    <Setting Target="Host" Name="RegisterGatewayOnStartup">1</Setting>
    <Setting Target="Host" Name="ResourceRequired">%HS_WebServices</Setting>
  </Item>
  <Item Name="HS.Gateway.Access.Push.DeliveryManager" Category="" ClassName="HS.Gateway.Access.Push.DeliveryManager" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="InactivityTimeout">0</Setting>
  </Item>
  <Item Name="HS.Util.Trace.Operations" Category="ES,PPMS" ClassName="HS.Util.Trace.Operations" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="ES.Service.eeSummarySoap" Category="ES" ClassName="ES.Service.eeSummarySoap" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="true" Schedule="">
    <Setting Target="Host" Name="ArchiveIO">1</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="PPMS.Maintenance.Service" Category="PPMS" ClassName="PPMS.Maintenance.Service" PoolSize="0" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="ArchiveIO">1</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="PPMS.Maintenance.Process" Category="PPMS" ClassName="PPMS.Maintenance.Process" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
    <Setting Target="Host" Name="SendToHsrm">0</Setting>
    <Setting Target="Host" Name="GetSpecialties">0</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="ToHSRM SaveQuestionnaire" Category="ES" ClassName="ES.HSRM.Client.QuestionnaireSoap.Operation" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="SOAPCredentials">HSRM</Setting>
    <Setting Target="Adapter" Name="SSLCheckServerIdentity">0</Setting>
    <Setting Target="Adapter" Name="Credentials">HSRM</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="Process ES Request" Category="ES" ClassName="ES.Process.ESRequestTransform" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="true" Schedule="">
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
    <Setting Target="Host" Name="ESRequestOperation">ToES GetSummaryRequest</Setting>
    <Setting Target="Host" Name="SendToHsrm">0</Setting>
    <Setting Target="Host" Name="SendToES">1</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="ToES GetSummaryRequest" Category="ES" ClassName="ES.Operation.eeSummaryPortSoap" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="SOAPCredentials">es-sqa</Setting>
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
    <Setting Target="Adapter" Name="SSLCheckServerIdentity">0</Setting>
    <Setting Target="Adapter" Name="SSLConfig">ES</Setting>
    <Setting Target="Host" Name="ArchiveIO">1</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
    <Setting Target="Adapter" Name="WebServiceURL">https://DNS .esrstage1a.aac.DOMAIN.EX:8443/esr-ws/spring-ws/getEESummary/</Setting>
    <Setting Target="Host" Name="AlertRetryGracePeriod">0</Setting>
  </Item>
  <Item Name="ToPPMS GetProviderSpecialties" Category="PPMS" ClassName="PPMS.Client.REST.GetProviderSpecialties.Operation" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="SSLCheckServerIdentity">0</Setting>
    <Setting Target="Adapter" Name="SSLConfig">PPMS</Setting>
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="ToHSRM SaveProviderRequest" Category="PPMS" ClassName="PPMS.HMF.Operation.SaveProviderRequest" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="SOAPCredentials">HSRM</Setting>
    <Setting Target="Adapter" Name="SSLCheckServerIdentity">0</Setting>
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
    <Setting Target="Adapter" Name="Credentials">HSRM</Setting>
  </Item>
  <Item Name="ToPPMS GetProviderCareSites" Category="PPMS" ClassName="PPMS.Client.REST.GetProviderCareSites.Operation" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
    <Setting Target="Adapter" Name="SSLCheckServerIdentity">0</Setting>
    <Setting Target="Adapter" Name="SSLConfig">PPMS</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="SEOC.Input.Service" Category="SEOC" ClassName="SEOC.Input.Service" PoolSize="0" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="SEOC.Maintenance.Process" Category="SEOC" ClassName="SEOC.Maintenance.Process" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="HSRM.SEOC.WS.Client" Category="SEOC" ClassName="SEOC.Maintenance.Operation.SoapSEOCInSoap" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="CCRA.Referral.DataExtraction.Service" Category="CCRS, DAS" ClassName="CCRA.Referral.DataExtraction.Service" PoolSize="0" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="HSRM.ReferralDataExtraction.Process" Category="CCRS,DAS" ClassName="CCRA.Referral.DataExtraction.Process" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="CCRS.ReferralList.Process" Category="CCRS" ClassName="CCRS.ReferralList.Process" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="CCRSReferralListTarget">CCRS.JSONFileSFTP.Operation</Setting>
  </Item>
  <Item Name="DAS.ReferralList.Process" Category="DAS" ClassName="DAS.ReferralList.Process" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="DASOperation">DAS.Operation.FHIRDocumentationNotification</Setting>
    <Setting Target="Host" Name="DemoMode">1</Setting>
    <Setting Target="Host" Name="JSON">1</Setting>
  </Item>
  <Item Name="HSRM.ReferralDataExtraction.WS.Client" Category="DAS,CCRS" ClassName="CCRA.Operation.ReferralDataExtractionSoap" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="SEOC.Test.FileService" Category="SEOC" ClassName="EnsLib.File.PassthroughService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="TargetConfigNames">SEOC.Maintenance.Process</Setting>
    <Setting Target="Adapter" Name="FilePath">/intersystems/VAHSIE001/mgr/CCRAINT/SEOCIn/</Setting>
  </Item>
  <Item Name="ToPPMS GetModifiedProviders" Category="PPMS" ClassName="PPMS.Client.REST.GetModifiedProviders.Operation" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="SSLCheckServerIdentity">0</Setting>
    <Setting Target="Adapter" Name="SSLConfig">PPMS</Setting>
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
    <Setting Target="Adapter" Name="ResponseTimeout">30</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
  </Item>
  <Item Name="CCRS.JSONFileSFTP.Operation" Category="" ClassName="EnsLib.FTP.PassthroughOperation" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Filename">%f</Setting>
    <Setting Target="Adapter" Name="FTPPort">22</Setting>
    <Setting Target="Adapter" Name="FTPServer">IP           </Setting>
    <Setting Target="Adapter" Name="SSLConfig">!SFTP</Setting>
    <Setting Target="Adapter" Name="Credentials">CCRS_SFTP</Setting>
    <Setting Target="Adapter" Name="StayConnected">5</Setting>
  </Item>
  <Item Name="DAS.Operation.FHIRDocumentationNotification" Category="DAS" ClassName="DAS.Operation.FHIRDocumentationNotification" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="HTTPServer">das-test.DOMAIN.EX</Setting>
    <Setting Target="Adapter" Name="URL">/drs/v1/ccra/</Setting>
    <Setting Target="Host" Name="ArchiveIO">1</Setting>
    <Setting Target="Adapter" Name="SSLConfig">DAS</Setting>
    <Setting Target="Host" Name="FailureTimeout">30</Setting>
    <Setting Target="Host" Name="RetryInterval">3</Setting>
    <Setting Target="Adapter" Name="ResponseTimeout">60</Setting>
  </Item>
  <Item Name="DAS.Service.DASRESTService" Category="DAS" ClassName="DAS.Service.DASRESTService" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="DAS.Service.DocumentCleanUpService" Category="DAS" ClassName="DAS.Service.DocumentCleanUpService" PoolSize="0" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="DAS.Operation.FilePassthrough" Category="DAS" ClassName="EnsLib.File.PassthroughOperation" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="eCAMS.Service.GetHSRMReferral" Category="eCAMS" ClassName="eCAMS.Service.GetHSRMReferral" PoolSize="0" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="eCAMS.Process.ExtractTransformReferral" Category="eCAMS" ClassName="eCAMS.Process.ExtractTransformReferral" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="eCAMS.Operation.ReferralDocumentToeCAMS" Category="eCAMS" ClassName="eCAMS.Operation.ReferralDocumentToeCAMS" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="true" Schedule="">
    <Setting Target="Adapter" Name="HTTPPort">7230</Setting>
    <Setting Target="Adapter" Name="HTTPServer">DNS .esb-hcps-utest.fsc.DOMAIN.EX</Setting>
    <Setting Target="Adapter" Name="URL">/ClaimsAuthorization/Authorization</Setting>
    <Setting Target="Adapter" Name="SSLConfig">eCAMS</Setting>
    <Setting Target="Host" Name="AlertOnError">1</Setting>
    <Setting Target="Host" Name="ArchiveIO">1</Setting>
    <Setting Target="Adapter" Name="SSLCheckServerIdentity">0</Setting>
    <Setting Target="Host" Name="ReplyCodeActions"></Setting>
    <Setting Target="Host" Name="QueueWaitAlert">30</Setting>
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
    <Setting Target="Host" Name="FailureTimeout">5</Setting>
    <Setting Target="Adapter" Name="ProxyPort"></Setting>
    <Setting Target="Adapter" Name="ProxyServer"></Setting>
  </Item>
  <Item Name="SEOCDB.REST.Client" Category="SEOC" ClassName="SEOC.Maintenance.DB.Operation.RetrieveSEOC" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="true" Schedule="">
    <Setting Target="Adapter" Name="HTTPServer">IP          </Setting>
    <Setting Target="Adapter" Name="URL">/v1/seoc/active</Setting>
    <Setting Target="Adapter" Name="SSLConfig">SEOCDB</Setting>
    <Setting Target="Adapter" Name="HTTPPort">443</Setting>
    <Setting Target="Adapter" Name="SSLCheckServerIdentity">0</Setting>
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
  </Item>
  <Item Name="SEOC.Maintenance.DB.API.Process" Category="SEOC" ClassName="SEOC.Maintenance.DB.API.Process" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="true" Schedule="">
    <Setting Target="Host" Name="TraceOperations">*FULL*</Setting>
  </Item>
  <Item Name="TEST.HL7.TCP.Service" Category="" ClassName="EnsLib.HL7.Service.TCPService" PoolSize="1" Enabled="false" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="MessageSchemaCategory">2.5</Setting>
    <Setting Target="Host" Name="TargetConfigNames"></Setting>
    <Setting Target="Adapter" Name="Port"></Setting>
  </Item>
  <Item Name="SEOC.Maintenance.DB.Service.Task" Category="" ClassName="SEOC.Maintenance.DB.Service.Task" PoolSize="0" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="Demo.ECAMS.SoapServer" Category="" ClassName="Demo.ECAMS.SoapServer" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="HSEdge.ValidateReferralByConsultId" Category="" ClassName="HSEdge.ValidateReferralByConsultId" PoolSize="0" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
  </Item>
  <Item Name="ES.Alert" Category="ES,PPMS" ClassName="EnsLib.EMail.AlertOperation" PoolSize="1" Enabled="false" Foreground="false" Comment="PII               " LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="IncludeNodeinSubject">1</Setting>
    <Setting Target="Host" Name="SubjectPrefix">Test Message</Setting>
    <Setting Target="Adapter" Name="From">PII                </Setting>
    <Setting Target="Adapter" Name="Recipient">PII                   </Setting>
    <Setting Target="Adapter" Name="SMTPPort">25</Setting>
    <Setting Target="Adapter" Name="SMTPServer">DNS        </Setting>
  </Item>
  <Item Name="Ens.Alert" Category="ES,PPMS,eCAMS" ClassName="EnsLib.MsgRouter.RoutingEngine" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Host" Name="Validation"></Setting>
    <Setting Target="Host" Name="BusinessRuleName">Ens.AlertRoutingRule</Setting>
  </Item>
  <Item Name="eCAMS.Operation.Alert" Category="eCAMS" ClassName="eCAMS.Operation.Alert" PoolSize="1" Enabled="true" Foreground="false" Comment="" LogTraceEvents="false" Schedule="">
    <Setting Target="Adapter" Name="From">PII                </Setting>
    <Setting Target="Adapter" Name="Recipient">PII                   </Setting>
    <Setting Target="Adapter" Name="SMTPPort">25</Setting>
    <Setting Target="Adapter" Name="SMTPServer">DNS        </Setting>
  </Item>
</Production>
}

}
TTT