Class CCRS.PreAuthorization Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property PreAuthorizationNumber As %String(MAXLEN = "", POPSPEC = "##class(CCRS.Populate.Utils).PreAuthNumber()");

Property PreAuthorizationReason As %String(MAXLEN = "", POPSPEC = "ValueList("",Already Appointed,Duplicate,Care Scheduled - Veteran cancels,Missing VA Date"")");

Property PreAuthorizationStatus As %String(MAXLEN = "", POPSPEC = "ValueList("",Accepted,Admitted,Approved,Bill Paid,Cancelled,Initial"")");

Property DateFrom As %String(POPSPEC = "CDate(3,$h-10,$h)");

Property DateTo As %String(POPSPEC = "CDate(3,$h,$h+10)");

Property Duration As %Float;

Property Comments As %String(MAXLEN = "", POPSPEC = "##class(CCRS.Populate.Utils).PreAuthComment()");

Property Description As %String(MAXLEN = "", POPSPEC = "##class(CCRS.Populate.Utils).PreAuthDesc()");

Relationship Details As CCRS.PreAuthorizationDetail [ Cardinality = children, Inverse = PreAuthorization ];

Relationship Referral As CCRS.Referral [ Cardinality = parent, Inverse = PreAuthorizations ];

Storage Default
{
<Data name="PreAuthorizationDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>PreAuthorizationNumber</Value>
</Value>
<Value name="3">
<Value>PreAuthorizationReason</Value>
</Value>
<Value name="4">
<Value>PreAuthorizationStatus</Value>
</Value>
<Value name="5">
<Value>DateFrom</Value>
</Value>
<Value name="6">
<Value>DateTo</Value>
</Value>
<Value name="7">
<Value>Comments</Value>
</Value>
<Value name="8">
<Value>Description</Value>
</Value>
<Value name="9">
<Value>Duration</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("PreAuthorizations")</DataLocation>
<DefaultData>PreAuthorizationDefaultData</DefaultData>
<ExtentSize>9</ExtentSize>
<IdLocation>^CCRS.ReferralC("PreAuthorizations")</IdLocation>
<IndexLocation>^CCRS.PreAuthorizationI</IndexLocation>
<Property name="%%CLASSNAME">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="%%ID">
<AverageFieldSize>7</AverageFieldSize>
<Selectivity>1</Selectivity>
</Property>
<Property name="Comments">
<AverageFieldSize>24</AverageFieldSize>
<Selectivity>11.1111%</Selectivity>
</Property>
<Property name="DateFrom">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>12.5000%</Selectivity>
</Property>
<Property name="DateTo">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>12.5000%</Selectivity>
</Property>
<Property name="Description">
<AverageFieldSize>28</AverageFieldSize>
<Selectivity>11.1111%</Selectivity>
</Property>
<Property name="PreAuthorizationNumber">
<AverageFieldSize>12</AverageFieldSize>
<Selectivity>12.5000%</Selectivity>
</Property>
<Property name="PreAuthorizationReason">
<AverageFieldSize>14.33</AverageFieldSize>
<Selectivity>33.3333%</Selectivity>
</Property>
<Property name="PreAuthorizationStatus">
<AverageFieldSize>8.22</AverageFieldSize>
<Selectivity>25.0000%</Selectivity>
</Property>
<Property name="Referral">
<AverageFieldSize>4</AverageFieldSize>
<Selectivity>33.3333%</Selectivity>
</Property>
<Property name="childsub">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>11.1111%</Selectivity>
</Property>
<SQLMap name="IDKEY">
<BlockCount>-4</BlockCount>
</SQLMap>
<StreamLocation>^CCRS.PreAuthorizationS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
