Class CCRS.Referral Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property Patient As CCRS.Patient;

Property Diagnosis As %String(MAXLEN = "", POPSPEC = "ValueList(""|Type 1 diabetes mellitus|Pressure ulcer of right elbow|Disp fx of 1st metatarsal bone, l ft, 7thG"")");

Property DiagnosisCode As %String(MAXLEN = "");

// 6/6/18 JLM Rational Jazz Task #750995 - added Diagnosis code

Property MedicalNecessity As %String(MAXLEN = "");

Property EnrollmentStatus As %String(POPSPEC = "ValueList("",Enrolled,Non-Enrolled"")");

Property TreatingProvider As %String(MAXLEN = "", POPSPEC = "ValueList("",ABBEVILLE AREA MEDICAL CENTER,AU MEDICAL CENTER,MADISON HOSPITAL,TUFTS MEDICAL CENTER"")");

Property TreatingProviderNPI As %String(MAXLEN = "");

Property ReferralCategory As %String(MAXLEN = "", POPSPEC = "ValueList("",Inpatient,Outpatient"")");

Property ReferralDate As %String(MAXLEN = "", POPORDER = 2, POPSPEC = "CDate(3,$h-10,$h)");

Property ReferralExpirationDate As %String(MAXLEN = "", POPORDER = 3, POPSPEC = ".ExpirationDate()");

Property ReferralLastUpdateDate As %String(MAXLEN = "", POPSPEC = "CDate(3,$h-2,$h)");

Property ReferralNumber As %String(MAXLEN = "", POPSPEC = "##class(CCRS.Populate.Utils).ReferralNumber()");

Property ReferralConsultId As %String(MAXLEN = "");

Property ReferralPeriod As %String(MAXLEN = "", POPORDER = 1, POPSPEC = "ValueList("",7,14,30,60,90,120,180,365"")");

Property ReferringFacility As %String(MAXLEN = "", POPSPEC = "ValueList("",VA Central Western Massachusetts Healthcare System,ADVANCED SURGICAL HOSPITAL,VA Butler Healthcare"")");

Property ReferringProvider As %String(MAXLEN = "", POPSPEC = "Name()");

Property ReferralReturnReason As %String(MAXLEN = "", POPSPEC = "ValueList("",Already Appointed,Duplicate,Care Scheduled - Veteran cancels,Missing VA Date"")");

Property ReferringSpecialty As %String(MAXLEN = "", POPSPEC = "ValueList("",Agencies Home Health,Behavioral Health & Social Service Providers Counselor School,Chiropractic Providers Chiropractor"")");

Property SourceOfReferral As %String(MAXLEN = "", POPSPEC = "##class(CCRS.Populate.Utils).SourceOfReferral()");

Property Status As %String(MAXLEN = "", POPSPEC = "ValueList("",Accepted,Admitted,Approved,Bill Paid,Cancelled,Initial"")");

Property ServiceRequested As %String(MAXLEN = "", POPSPEC = "ValueList(""|VENOGRAPHY, EPIDURAL, RADIOLOGICAL S&I|ANGIOGRAPHY, ADRENAL, UNILAT, SELECTIVE, RADIOLOGICAL S&I|CARDIAC MRI, MORPHOLOGY AND FUNCTION W/O &W CONTRAST MATL & FURTHER SEQ"")");

Property TreatingFacility As %String(MAXLEN = "", POPSPEC = "ValueList("",MADISON HOSPITAL,VA Ann Arbor Healthcare System,VA Butler Healthcare"")");

Property TreatingSpeciality As %String(MAXLEN = "", POPSPEC = "ValueList("",Agencies Home Health,Behavioral Health & Social Service Providers,Allopathic & Osteopathic Physicians Psychiatry & Neurology Vascular Neurology"")");

Property CoPaymentStatus As CCRS.CoPaymentStatus;

Property Network As %String;

Property CLINCode As %String(MAXLEN = "", POPSPEC = "ValueList("",CLINCode1,CLINCode2,CLINCode3"")");

Property CLINDesc As %String(MAXLEN = "", POPSPEC = "ValueList("",CLINCodeDescription"")");

Property PaymentAuthorityCode As %String(MAXLEN = "", POPSPEC = "ValueList("",PaymentAuthorityCode1,PaymentAuthorityCode2,PaymentAuthorityCode3"")");

Property PaymentAuthorityDesc As %String(MAXLEN = "", POPSPEC = "ValueList("",PaymentAuthorityCodeDescription"")");

Property PayorStatus As %String(MAXLEN = "");

Relationship PreAuthorizations As CCRS.PreAuthorization [ Cardinality = children, Inverse = Referral ];

Relationship ReferralList As CCRS.ReferralList [ Cardinality = parent, Inverse = Referrals ];

Property MilitarySexualTraumaInfo As CCRS.MilitarySexualTraumaInfo;

Property NoseThroatRadiumInfo As CCRS.NoseThroatRadiumInfo;

Relationship TransactionHistory As CCRS.TransactionHistory [ Cardinality = children, Inverse = Referral ];

// OHI Info, JLM 06-06-2018, Jazz Task# 752184 - Adding OHI data elements to JSON extraction

Property OHI As list Of CCRS.OHI;

Method ExpirationDate() As %String
{
	set tDays = $p(i%ReferralPeriod," ",1)
	set tDate = $zdh(i%ReferralDate,3)+tDays
	quit ##class(%Library.PopulateUtils).CDate(3,tDate,tDate)
}

Storage Default
{
<Data name="ReferralDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>Patient</Value>
</Value>
<Value name="3">
<Value>Diagnosis</Value>
</Value>
<Value name="4">
<Value>DiagnosisCode</Value>
</Value>
<Value name="5">
<Value>MedicalNecessity</Value>
</Value>
<Value name="6">
<Value>EnrollmentStatus</Value>
</Value>
<Value name="7">
<Value>Payor</Value>
</Value>
<Value name="8">
<Value>Plan</Value>
</Value>
<Value name="9">
<Value>TreatingProvider</Value>
</Value>
<Value name="10">
<Value>TreatingProviderNPI</Value>
</Value>
<Value name="11">
<Value>ReferralCategory</Value>
</Value>
<Value name="12">
<Value>ReferralDate</Value>
</Value>
<Value name="13">
<Value>ReferralExpirationDate</Value>
</Value>
<Value name="14">
<Value>ReferralLastUpdateDate</Value>
</Value>
<Value name="15">
<Value>ReferralNumber</Value>
</Value>
<Value name="16">
<Value>ReferralConsultId</Value>
</Value>
<Value name="17">
<Value>ReferralPeriod</Value>
</Value>
<Value name="18">
<Value>ReferringFacility</Value>
</Value>
<Value name="19">
<Value>ReferringProvider</Value>
</Value>
<Value name="20">
<Value>ReferralReturnReason</Value>
</Value>
<Value name="21">
<Value>ReferringSpecialty</Value>
</Value>
<Value name="22">
<Value>SourceOfReferral</Value>
</Value>
<Value name="23">
<Value>Status</Value>
</Value>
<Value name="24">
<Value>ServiceRequested</Value>
</Value>
<Value name="25">
<Value>SecondaryPayor</Value>
</Value>
<Value name="26">
<Value>SecondaryPlan</Value>
</Value>
<Value name="27">
<Value>TreatingFacility</Value>
</Value>
<Value name="28">
<Value>TreatingSpeciality</Value>
</Value>
<Value name="29">
<Value>CoPaymentStatus</Value>
</Value>
<Value name="30">
<Value>Network</Value>
</Value>
<Value name="31">
<Value>CLINCode</Value>
</Value>
<Value name="32">
<Value>CLINDesc</Value>
</Value>
<Value name="33">
<Value>PaymentAuthorityCode</Value>
</Value>
<Value name="34">
<Value>PaymentAuthorityDesc</Value>
</Value>
<Value name="35">
<Value>MilitarySexualTraumaInfo</Value>
</Value>
<Value name="36">
<Value>NoseThroatRadiumInfo</Value>
</Value>
<Value name="37">
<Value>OHI</Value>
</Value>
<Value name="38">
<Value>PayorStatus</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("Referrals")</DataLocation>
<DefaultData>ReferralDefaultData</DefaultData>
<IdLocation>^CCRS.ReferralListC("Referrals")</IdLocation>
<IndexLocation>^CCRS.ReferralI</IndexLocation>
<StreamLocation>^CCRS.ReferralS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
