Class DAS.CCNContractReferral Extends (%Persistent, %XML.Adaptor)
{

Property ReferralId As %String;

Property ReferralConsultId As %String;

Property PrimaryPayer As %String;

Property SecondaryPayer As %String;

// Payor Status, 6/6/18 JLM  Task # 752549 

Property PayorStatus As %String(MAXLEN = "");

// OHI Info, JLM 06-06-2018, Jazz Task# 752238 - Adding OHI data elements to DAS XML extraction

Property OHI As list Of DAS.OHI;

// Add Primary Care Provider NPI to data extraction, 06-07-2018 JLM, Rational Jazz Story #753165

Property PrimaryCareProviderNPI As %String(MAXLEN = "");

Property ReferralFromDate As %Date;

Property ReferralToDate As %Date;

Property Veteran As DAS.Veteran;

// Standard Eposide of Care - needs vetting

// Property SEOC As %String;

Property CCNNetwork As %String;

Property CCNProvider As %String;

Property CCNFacility As %String;

Property AppointmentDate As %Date;

Property CareIndicatedDate As %Date;

Property PreferredProvider As %String;

Property OtherHealthInsuranceInfo As %String;

Property OrderingOfficerName As %String;

Relationship CCNReferralList As DAS.CCNReferralList [ Cardinality = parent, Inverse = Referrals ];

Relationship PreAuthorizations As DAS.PreAuthorization [ Cardinality = children, Inverse = Referral ];

Storage Default
{
<Data name="CCNContractReferralDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>ReferralId</Value>
</Value>
<Value name="3">
<Value>PrimaryPayer</Value>
</Value>
<Value name="4">
<Value>SecondaryPayer</Value>
</Value>
<Value name="5">
<Value>ReferralFromDate</Value>
</Value>
<Value name="6">
<Value>ReferralToDate</Value>
</Value>
<Value name="7">
<Value>Veteran</Value>
</Value>
<Value name="8">
<Value>CCNNetwork</Value>
</Value>
<Value name="9">
<Value>CCNProvider</Value>
</Value>
<Value name="10">
<Value>CCNFacility</Value>
</Value>
<Value name="11">
<Value>AppointmentDate</Value>
</Value>
<Value name="12">
<Value>CareIndicatedDate</Value>
</Value>
<Value name="13">
<Value>PreferredProvider</Value>
</Value>
<Value name="14">
<Value>OtherHealthInsuranceInfo</Value>
</Value>
<Value name="15">
<Value>OrderingOfficerName</Value>
</Value>
<Value name="16">
<Value>ReferralConsultId</Value>
</Value>
<Value name="17">
<Value>PayorStatus</Value>
</Value>
<Value name="18">
<Value>OHI</Value>
</Value>
<Value name="19">
<Value>PrimaryCareProviderNPI</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("Referrals")</DataLocation>
<DefaultData>CCNContractReferralDefaultData</DefaultData>
<IdLocation>^DAS.CCNReferralListC("Referrals")</IdLocation>
<IndexLocation>^DAS.CCNContractReferralI</IndexLocation>
<StreamLocation>^DAS.CCNContractReferralS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
