Class DAS.PreAuthorization Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property PreAuthorizationNumber As %String(MAXLEN = "", POPSPEC = "##class(CCRS.Populate.Utils).PreAuthNumber()");

Property PreAuthorizationReason As %String(MAXLEN = "", POPSPEC = "ValueList("",Already Appointed,Duplicate,Care Scheduled - Veteran cancels,Missing VA Date"")");

Property PreAuthorizationStatus As %String(MAXLEN = "", POPSPEC = "ValueList("",Accepted,Admitted,Approved,Bill Paid,Cancelled,Initial"")");

Property DateFrom As %String(POPSPEC = "CDate(3,$h-10,$h)");

Property DateTo As %String(POPSPEC = "CDate(3,$h,$h+10)");

Property Comments As %String(MAXLEN = "", POPSPEC = "##class(CCRS.Populate.Utils).PreAuthComment()");

Property Description As %String(MAXLEN = "", POPSPEC = "##class(CCRS.Populate.Utils).PreAuthDesc()");

Relationship Details As DAS.PreAuthorizationDetail [ Cardinality = children, Inverse = PreAuthorization ];

Relationship Referral As DAS.CCNContractReferral [ Cardinality = parent, Inverse = PreAuthorizations ];

Storage Default
{
<Data name="PreAuthorizationDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>PreAuthorizationNumber</Value>
</Value>
<Value name="3">
<Value>PreAuthorizationReason</Value>
</Value>
<Value name="4">
<Value>PreAuthorizationStatus</Value>
</Value>
<Value name="5">
<Value>DateFrom</Value>
</Value>
<Value name="6">
<Value>DateTo</Value>
</Value>
<Value name="7">
<Value>Comments</Value>
</Value>
<Value name="8">
<Value>Description</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("PreAuthorizations")</DataLocation>
<DefaultData>PreAuthorizationDefaultData</DefaultData>
<IdLocation>^DAS.CCNContractReferralC("PreAuthorizations")</IdLocation>
<IndexLocation>^DAS.PreAuthorizationI</IndexLocation>
<StreamLocation>^DAS.PreAuthorizationS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
