Class DAS.Service.DASREST Extends Ens.BusinessService
{

Parameter ADAPTER = "EnsLib.HTTP.InboundAdapter";

Method OnProcessInput(pInput As Ens.StringContainer, Output pOutput As DAS.ReferralList.FHIRDocument) As %Status
{

	// Create the request message
	Set request = ##class(Ens.StringRequest).%New()
	
	if '(pInput="") {
	    	set tDASDocument = ##class(DAS.ReferralList.FHIRDocument).%OpenId(pInput)
	    	set:(tDASDocument=$$$NULLOREF) %response.Status =..#HTTP204NOCONTENT 
	    	$$$ThrowOnError(tSC)
	    	     
	        #; Looks good
	       Write tDASDocument.ReferralListXML
        } 
        else 
        {
        	set %response.Status = ..#HTTP400BADREQUEST
        }
	
	// Place a value in the request message property
	Set request.StringValue = pInput.StringValue
	
	// Make a synchronous call to the business process and use the response message as our response 
	Set tSC = ..SendRequestSync("Weather Report", request, .pOutput)

	Quit tSC
}

}
