Class DAS.Service.DASRESTService Extends Ens.BusinessService
{

Parameter ADAPTER = "EnsLib.HTTP.InboundAdapter";

Method OnProcessInput(pInput As Ens.StringContainer, Output pDASDocument As DAS.ReferralList.FHIRDocument) As %Status
{
	#dim bDebug As %Boolean = 0 
   	Set tSC = $$$OK
	 
	try{ 
		If '(pInput.StringValue=""){
			if (pInput.StringValue="1")  //FOR TESTING ONLY
			{
				Set pDASDocument = ##class(DAS.ReferralList.FHIRDocument).%New()
				Set pDASDocument.DocumentId = 99
				Set pDASDocument.ReferralListXML = "<test>Sample Doc </test>"
			} 
			ElseIf (pInput.StringValue="OUTCOME1")  //PROCESS DAS FHIR OUTCOME MESSAGE, success
			{
				Set pDASDocument = ##class(DAS.ReferralList.FHIRDocument).%New()	
				$$$LOGINFO("FHIR message from DAS successfully handled")   
			} 
			ElseIf (pInput.StringValue="OUTCOME0")  //PROCESS DAS FHIR OUTCOME MESSAGE, failure
			{
				Set pDASDocument = ##class(DAS.ReferralList.FHIRDocument).%New()	
				$$$LOGERROR("Error received from DAS")
			} 
			Else  { // GENERATE REFERRAL LIST XML WHEN VALID DOC ID SUPPLIED
				Set tDocId = ""
				Set tDocumentId = pInput.StringValue
				&sql(SELECT ID INTO :tDocId FROM DAS_ReferralList.FHIRDocument WHERE DocumentID = :tDocumentId) 
				Set pDASDocument = ##class(DAS.ReferralList.FHIRDocument).%OpenId(tDocId) 
				If '(tDocId="") {	$$$LOGINFO("Referral List successfully processed for Doc ID: " _ pInput.StringValue ) }
				Else { $$$LOGINFO("Referral List not found for Doc ID: " _ pInput.StringValue ) }  	     
			 }
		}
		Else //CATCH ERROR WHEN NO DOC ID SUPPLIED
		{
	        Set pDASDocument = "No document id provided"
	    }
     }
     Catch e
     { 
     	$$$LOGERROR("Error generating Referral List XML;   Doc ID: " _ pInput.StringValue )
     	set tSC = e.AsStatus()
     }
     	 
     Quit tSC
}

}
