Class DAS.Service.DocumentCleanUpService Extends Ens.BusinessService
{

// Service triggered by DAS.Task.DASDocumentCleanUp to remove documents from db based on DaysToArchive

Parameter ADAPTER;

Method OnProcessInput(pDaysToArchive As Ens.StringContainer) As %Status
{
	Set tSC = $$$OK

	Try{
		if '(pDaysToArchive.StringValue=""){
			Set DaysToArchive =  pDaysToArchive.StringValue
			&sql(SELECT count(ID) INTO :sCount FROM das_referrallist.fhirdocument WHERE datediff("d", "CreationDate", CURRENT_DATE) > :DaysToArchive)
			&sql(DELETE FROM das_referrallist.fhirdocument WHERE datediff("d", "CreationDate", CURRENT_DATE) > :DaysToArchive)
			$$$LOGINFO(sCount_" documents successfully removed")
		}
		else {
			$$$LOGERROR("DaysToArchive not received from Task") 
		}
	}
	Catch e{
		Set tSC = e.AsStatus()
		$$$LOGERROR("Error removing documents: "_tSC) 	
	}
	
	Quit tSC
}

}
