Class DAS.Task.DASDocumentCleanUp Extends %SYS.Task.Definition
{

// Task to call DAS.Service.DocumentCleanUpService and purge older documents based on the DaysToArchive supplied by the task

Parameter TaskName As STRING = "DAS Document Clean Up";

Property DaysToArchive As %String;

// age in days at which to purge documents

Method OnTask() As %Status
{
	  
	#dim tSC As %Status = $$$OK
	#dim err As %Exception.AbstractException
	#dim tService As Ens.BusinessService
	  
	Try {
		//Create and trigger service
		Set tSC = ##class(Ens.Director).CreateBusinessService("DAS.Service.DocumentCleanUpService",.tService)   
		Set sContainer = ##class(Ens.StringContainer).%New(..DaysToArchive)  
		Set tSC = tService.OnProcessInput(sContainer)   
	} 
	Catch err {	    
		s tSC = err.AsStatus()	 
	}
	  
	Quit tSC
}

}
