Class Demo.eCAMS.SOAPServer Extends (EnsLib.SOAP.Service, HS.Util.Trace.Helper)
{

/// Determines handling of Security header.
Parameter SECURITYIN = "ALLOW";

/// This is the SOAP version supported by the service.
Parameter SOAPVERSION = 1.1;

Parameter ADAPTER;

// = "Enslib.SOAP.InboudAdapter";

Parameter SERVICENAME = "eCAMSService";

// 	PARAMETER LOCATION = "";

Parameter NAMESPACE = "http://www.intersystems.com/trak/ws";

// Namespace of referenced classes will be used in the WSDL.

Parameter USECLASSNAMESPACES = 1;

/// Use xsi:type attribute for literal types.
Parameter OUTPUTTYPEATTRIBUTE = 1;

Property eCAMSTarget As Ens.DataType.ConfigName [ InitialExpression = "RealTime.Process.ExtractTransformReferral" ];

Parameter SETTINGS = "eCAMSTarget";

Method GeteCAMS(WLNO As %String) As %Status [ WebMethod ]
{
		#dim tSC As %Status = $$$OK
		
		$$$HSTRACE("message received: " _ WLNO)		
		try{  //pass referral id to the process that pulls the referral for eCAMS
			set sContainer = ##class(Ens.StringContainer).%New(WLNO)
			$$$ThrowOnError(..SendRequestAsync(..eCAMSTarget,sContainer,.response))
		}
		catch(e){
			set tSC = e.AsStatus()
			$$$LOGERROR(tSC)
			set fault = ..ApplicationError("400", "Error Processing Message")
			Do ..ReturnFault(fault)	
		}
		
		quit tSC
}

Method ApplicationError(code, detail) As %SOAP.Fault
{
		set fault=##class(%SOAP.Fault).%New()
		try{
			 
			 set fault.faultcode=code
			 set fault.detail=detail
			 set fault.faultstring="application error"
		 }
		catch(e){
			$$$LOGERROR( e.AsStatus()) 
		}	
		
		quit fault
}

}
