Class ES.DTL.FromESToHSRM Extends Ens.DataTransformDTL [ DependsOn = (ES.Response.getEESummaryResponse, ES.HSRM.Request.SaveRequest) ]
{

Parameter IGNOREMISSINGSOURCE = 1;

Parameter REPORTERRORS = 1;

Parameter TREATEMPTYREPEATINGFIELDASNULL = 0;

XData DTL [ XMLNamespace = "http://www.intersystems.com/dtl" ]
{
<transform sourceClass='ES.Response.getEESummaryResponse' targetClass='ES.HSRM.Request.SaveRequest' create='new' language='objectscript' >
<annotation>transform response from ES system to questionnaire format for HSRM</annotation>
<assign value='source.summary.enrollmentDeterminationInfo.priorityGroup' property='target.rs.QQ1' action='set' />
<foreach property='source.summary.financialsInfo.incomeTest.statuses()' key='k1' >
<assign value='$g(tStatus)_source.summary.financialsInfo.incomeTest.statuses.(k1).status_", "' property='tStatus' action='set' />
</foreach>
<assign value='$g(tStatus)' property='target.rs.QQ2' action='set' />
<assign value='##class(ES.Util.FunctionSet).CheckboxFromBoolean(source.summary.enrollmentDeterminationInfo.specialFactors.agentOrangeInd=1)' property='target.rs.QQ3' action='set' />
<assign value='##class(ES.Util.FunctionSet).DisplayDateFromODBC(source.summary.militaryServiceInfo.combatVeteranEligibilityEndDate,5)' property='target.rs.QQ4' action='set' />
<assign value='##class(ES.Util.FunctionSet).DisplayDateFromODBC(source.summary.militaryServiceInfo.combatVeteranEligibilityEndDate,5)' property='target.rs.QQ5' action='set' />
<assign value='##class(ES.Util.FunctionSet).CheckboxFromBoolean(source.summary.militaryServiceInfo.shadIndicator=1)' property='target.rs.QQ6' action='set' />
<assign value='##class(ES.Util.FunctionSet).CheckboxFromBoolean(source.summary.enrollmentDeterminationInfo.specialFactors.envContaminantsInd=1)' property='target.rs.QQ7' action='set' />
<assign value='##class(ES.Util.FunctionSet).CheckboxFromBoolean(source.summary.enrollmentDeterminationInfo.specialFactors.radiationExposureInd=1)' property='target.rs.QQ8' action='set' />
<assign value='##class(ES.Util.FunctionSet).CheckboxFromBoolean(source.summary.enrollmentDeterminationInfo.specialFactors.campLejeuneInd)' property='target.rs.QQ9' action='set' />
<assign value='source.summary.enrollmentDeterminationInfo.militarySexualTraumaInfo.determinationFacility' property='target.rs.QQ13' action='set' />
<assign value='source.summary.enrollmentDeterminationInfo.militarySexualTraumaInfo.status' property='target.rs.QQ14' action='set' />
<assign value='##class(ES.Util.FunctionSet).DisplayDateFromODBC(source.summary.enrollmentDeterminationInfo.militarySexualTraumaInfo.statusChangeDate,5)' property='target.rs.QQ15' action='set' />
<assign value='source.summary.enrollmentDeterminationInfo.noseThroatRadiumInfo.determinationFacility' property='target.rs.QQ16' action='set' />
<assign value='##class(ES.Util.FunctionSet).CheckboxFromBoolean(source.summary.enrollmentDeterminationInfo.noseThroatRadiumInfo.diagnosedWithCancer)' property='target.rs.QQ17' action='set' />
<assign value='##class(ES.Util.FunctionSet).DisplayDateFromODBC(source.summary.enrollmentDeterminationInfo.noseThroatRadiumInfo.diagnosisVerifiedDate,5)' property='target.rs.QQ18' action='set' />
<assign value='##class(ES.Util.FunctionSet).CheckboxFromBoolean(source.summary.enrollmentDeterminationInfo.noseThroatRadiumInfo.fromAviatorServiceBefore1955=1)' property='target.rs.QQ19' action='set' />
<assign value='##class(ES.Util.FunctionSet).CheckboxFromBoolean(source.summary.enrollmentDeterminationInfo.noseThroatRadiumInfo.fromSubmarinerServiceBefore1965=1)' property='target.rs.QQ20' action='set' />
<assign value='source.summary.enrollmentDeterminationInfo.noseThroatRadiumInfo.receivingTreatment' property='target.rs.QQ21' action='set' />
<assign value='##class(ES.Util.FunctionSet).DisplayDateFromODBC(source.summary.enrollmentDeterminationInfo.noseThroatRadiumInfo.verificationDate,5)' property='target.rs.QQ22' action='set' />
<assign value='source.summary.enrollmentDeterminationInfo.noseThroatRadiumInfo.verificationFacility' property='target.rs.QQ23' action='set' />
<assign value='source.summary.enrollmentDeterminationInfo.noseThroatRadiumInfo.verificationMethod' property='target.rs.QQ24' action='set' />
<foreach property='source.summary.enrollmentDeterminationInfo.serviceConnectionAward.ratedDisabilities()' key='k1' >
<assign value='source.summary.enrollmentDeterminationInfo.serviceConnectionAward.ratedDisabilities.(k1).disability' property='target.rs.QTAB1.(k1).QTAB1Q10' action='set' />
<assign value='source.summary.enrollmentDeterminationInfo.serviceConnectionAward.ratedDisabilities.(k1).percentage' property='target.rs.QTAB1.(k1).QTAB1Q11' action='set' />
<assign value='source.summary.enrollmentDeterminationInfo.serviceConnectionAward.ratedDisabilities.(k1).serviceConnected' property='target.rs.QTAB1.(k1).QTAB1Q12' action='set' />
</foreach>
<foreach property='source.summary.insuranceList()' key='k1' disabled='1' >
<assign value='source.summary.insuranceList.(k1).companyName' property='target.rs.QTAB2.(k1).QTAB2Q25' action='set' />
<assign value='source.summary.insuranceList.(k1).insurancePhones.(1).phoneNumber' property='target.rs.QTAB2.(k1).QTAB2Q26' action='set' />
<assign value='source.summary.insuranceList.(k1).planType' property='target.rs.QTAB2.(k1).QTAB2Q27' action='set' />
<assign value='source.summary.insuranceList.(k1).policyNumber' property='target.rs.QTAB2.(k1).QTAB2Q28' action='set' />
<assign value='##class(ES.Util.FunctionSet).DisplayDateFromOther(source.summary.insuranceList.(k1).policyEffectiveDate,5,8)' property='target.rs.QTAB2.(k1).QTAB2Q29' action='set' />
<assign value='##class(ES.Util.FunctionSet).DisplayDateFromOther(source.summary.insuranceList.(k1).policyExpirationDate,5,8)' property='target.rs.QTAB2.(k1).QTAB2Q30' action='set' />
<assign value='source.summary.insuranceList.(k1).policyHolderName' property='target.rs.QTAB2.(k1).QTAB2Q31' action='set' />
</foreach>
</transform>
}

}
