Class ES.Operation.eeSummaryPortSoap Extends (Ens.BusinessOperation, HS.Util.Trace.Helper) [ ProcedureBlock ]
{

Parameter ADAPTER = "EnsLib.SOAP.OutboundAdapter";

Method getEESummary(pRequest As ES.Request.getEESummaryRequest, Output pResponse As ES.Response.getEESummaryResponse) As %Status
{
  #dim tSC As %Status = $$$OK
  #dim err As %Exception.AbstractException
  s pResponse = ##class(ES.Response.getEESummaryResponse).%New()
  
  try {
    
    s ..Adapter.WebServiceClientClass = "ES.Client.eeSummaryPortSoap"
    s tSC = ..Adapter.InvokeMethod("getEESummary",,pRequest.key,pRequest.keyType,pRequest.requestName,pRequest.incomeYear,.summary,.eesVersion,.invocationDate,.noDataMessage)
    $$$ThrowOnError(tSC)
    
    s tSC = pRequest.NewResponse(.pResponse)
    $$$ThrowOnError(tSC)
    s pResponse.summary = $get(summary),pResponse.eesVersion = $get(eesVersion),pResponse.invocationDate = $get(invocationDate),pResponse.noDataMessage = $get(noDataMessage)
    
  } catch err {
  
    i err.Data["PERSON_NOT_FOUND" {
    
      s tSC = $$$OK
      $$$LOGALERT("No ES record found for ICN: "_pRequest.key)
      
    } else {
      
    }
  }
  
 q tSC
}

XData MessageMap
{
<MapItems>
  <MapItem MessageType="ES.Request.getEESummaryRequest">
    <Method>getEESummary</Method>
  </MapItem>
</MapItems>
}

}
