/// SOAP web service to receive data from HSRM for ES request
Class ES.Service.eeSummarySoap Extends (EnsLib.SOAP.Service, HS.Util.Trace.Helper) [ ProcedureBlock ]
{

/// Determines handling of Security header.
Parameter SECURITYIN = "ALLOW";

/// This is the SOAP version supported by the service.
Parameter SOAPVERSION = 1.1;

Parameter ADAPTER;

/// This is the name of the Service
Parameter SERVICENAME = "HSRMeeSummary";

Parameter NAMESPACE = "http://www.hsrm.org";

Parameter USECLASSNAMESPACES = 1;

Property ESProcess As Ens.DataType.ConfigName [ InitialExpression = "Process ES Request" ];

Property DefaultRequestName As %String [ InitialExpression = "HSRMRequest" ];

Parameter SETTINGS = "ESProcess, DefaultRequestName";

Method getESSummary(pRequest As ES.Message.ESDataRequest) As %Status [ Final, WebMethod ]
{
  #dim tSC As %Status = $$$OK
  #dim err As %Exception.AbstractException
  
  try {
  
    s:pRequest.RequestName="" pRequest.RequestName = ..DefaultRequestName
    
    i (pRequest.ICN '= "") && (pRequest.PatientId '= "") && (pRequest.ReferralId '= "")
                           && (pRequest.RequestName '= "") && (pRequest.EpisodeId '= "") {
      
      $$$ThrowOnError(..SendRequestAsync(..ESProcess,pRequest))
    
    }
    
  } catch err {
    
    s tSC = err.AsStatus()
    
  }
  
  q tSC
}

}
