Class PPMS.DTL.FromClientProviderToSDA3CareProvider Extends Ens.DataTransformDTL [ DependsOn = (PPMS.Client.Message.GetProvidersResponse, PPMS.SDA3.CareProvider) ]
{

Parameter IGNOREMISSINGSOURCE = 1;

Parameter REPORTERRORS = 1;

Parameter TREATEMPTYREPEATINGFIELDASNULL = 0;

XData DTL [ XMLNamespace = "http://www.intersystems.com/dtl" ]
{
<transform sourceClass='PPMS.Client.Message.GetProvidersResponse' targetClass='PPMS.SDA3.CareProvider' create='new' language='objectscript' >
<foreach property='source.Providers()' key='k1' >
<assign value='"Provider"' property='target.CareProviders.(k1).CareProviderType.Description' action='set' />
<foreach property='source.Providers.(k1).Speciality()' key='k2' >
<assign value='source.Providers.(k1).Speciality.(k2).Code' property='target.CareProviders.(k1).Speciality.(k2).Code' action='set' />
<assign value='source.Providers.(k1).Speciality.(k2).Description' property='target.CareProviders.(k1).Speciality.(k2).Description' action='set' />
</foreach>
<assign value='source.Providers.(k1).NPI' property='target.CareProviders.(k1).Code' action='set' />
<assign value='source.Providers.(k1).HealthNetAffiliation' property='target.CareProviders.(k1).CareProviderGroup.Description' action='set' />
<assign value='..Strip(..Piece(..Piece(source.Providers.(k1).Name)," ",2),"&lt;&gt;W")' property='familyName' action='set' />
<assign value='..Strip(..Piece(source.Providers.(k1).Name,,2),"&lt;&gt;W")' property='givenName' action='set' />
<assign value='..Strip(..Piece(..Piece(source.Providers.(k1).Name)," ",1),"&lt;&gt;W")' property='middleName' action='set' >
<annotation>target.CareProviders.(k1).Name.MiddleName</annotation>
</assign>
<assign value='familyName' property='target.CareProviders.(k1).Name.FamilyName' action='set' />
<assign value='givenName' property='target.CareProviders.(k1).Name.GivenName' action='set' />
<if condition='middleName &apos;= ""' >
<true>
<assign value='middleName' property='target.CareProviders.(k1).Name.MiddleName' action='set' />
<assign value='middleName_" "' property='middleName' action='set' />
</true>
</if>
<assign value='$g(givenName)_" "_$g(middleName)_$g(familyName)' property='target.CareProviders.(k1).Description' action='set' />
<assign value='source.Providers.(k1).AddressStreet' property='target.CareProviders.(k1).Address.Street' action='set' />
<assign value='source.Providers.(k1).AddressCity' property='target.CareProviders.(k1).Address.City.Description' action='set' />
<assign value='source.Providers.(k1).AddressState' property='target.CareProviders.(k1).Address.State.Code' action='set' />
<assign value='..If(source.Providers.(k1).OnLeie,source.Providers.(k1).ModifiedOnDate,$zdt("94234,00000",3,1))' property='target.CareProviders.(k1).ToTime' action='set' />
</foreach>
<assign value='source.Providers.(1).AddressZipCode' property='target.CareProviders.(1).Address.Zip.Description' action='set' />
</transform>
}

}
