Class PPMS.HMF.Operation.SaveProviderRequest Extends (Ens.BusinessOperation, HS.Util.Trace.Helper) [ ProcedureBlock ]
{

Property SendToHSRM As %Boolean [ InitialExpression = 1 ];

Parameter SETTINGS = "SendToHSRM";

Method ConvertAndSend(pRequest As PPMS.Message.ProvidersRequest, ByRef pResponse As Ens.Response) As %Status
{
  
  #dim err As %Exception.AbstractException
  #dim tSC As %Status = $$$OK
  
  try {
    $$$HSTRACE("pRequest","pRequest",pRequest)
    s pResponse=##class(Ens.Response).%New()
    s ..Adapter.WebServiceClientClass = "PPMS.HMF.Client.Soap"
    
    s key = ""
    f {
    
      s tProvider = pRequest.Providers.CareProviders.GetNext(.key)
      q:tProvider=$$$NULLOREF  ;end of list
      d tProvider.XMLExportToStream(.sSDA)
      s tMsg = ##class(HS.Message.XMLMessage).%New()
      s tMsg.DocType = "HS.SDA3.CodeTableDetail.CareProvider"
      s tMsg.ContentStream = sSDA
      
      i ..SendToHSRM {
        $$$ThrowOnError(..Adapter.InvokeMethod("Send", .ressc, tMsg))
        $$$ThrowOnError(ressc)
      }
    }
  } catch err {
    
    $$$LOGERROR("PPMS Update Failed with Error: "_err.DisplayString())
    s tSC = err.AsStatus()
    
  }
  
  q tSC
}

/// Parameter INVOCATION = "Queue";
Parameter ADAPTER = "EnsLib.SOAP.OutboundAdapter";

Parameter LOCATION;

XData MessageMap
{
<MapItems>
 <MapItem MessageType="PPMS.Message.ProvidersRequest">
 <Method>ConvertAndSend</Method>
 </MapItem>
 </MapItems>
}

}
