Class PPMS.Task.ProviderImport Extends %SYS.Task.Definition
{

Parameter TaskName As STRING = "PPMS Provider Update";

/// date to use for ModifiedOnDate
Property ModifiedOnDate As %String(DISPLAYLIST = ",yesterday,use CustomDate", VALUELIST = ",0,1") [ InitialExpression = "0" ];

/// date to use for ModifiedOnDate when custom date is selected
Property CustomDate As %String [ InitialExpression = {$zd($H)} ];

ClassMethod Test(modDate As %Integer = "")
{

  i 'modDate {s modDate = 64665}
  s x=##class(PPMS.Task.ProviderImport).%New() 
  ;s x.ModifiedOnDate = 3
  w:modDate x.OnTaskTest(modDate)
}

Method OnTaskTest(modDate) As %Status
{
  
  #dim tSC As %Status = $$$OK
  #dim err As %Exception.AbstractException
  #dim tService As Ens.BusinessService
  
  try {
    
    s tSC = ##class(Ens.Director).CreateBusinessService("PPMS.Maintenance.Service",.tService)
    
    s pRequest = ##class(PPMS.Client.Message.GetProvidersRequest).%New()
    s pRequest.ModifiedOnDate = modDate
    
    i pRequest.ModifiedOnDate {
	    
      // trigger business service
      $$$ThrowOnError(tService.OnProcessInput(pRequest))
      
    }
  } catch err {
    
    s tSC = err.AsStatus()
    
  }
  
  q tSC
}

Method OnTask() As %Status
{
  
  #dim tSC As %Status = $$$OK
  #dim err As %Exception.AbstractException
  #dim tService As Ens.BusinessService
  
  try {
    
    s tSC = ##class(Ens.Director).CreateBusinessService("PPMS.Maintenance.Service",.tService)
    
    s pRequest = ##class(PPMS.Client.Message.GetProvidersRequest).%New()
    s pRequest.ModifiedOnDate = ..GetModifiedOnDate()
    
    i pRequest.ModifiedOnDate {
	    
      // trigger business service
      $$$ThrowOnError(tService.OnProcessInput(pRequest))
      
    }
  } catch err {
    
    s tSC = err.AsStatus()
    
  }
  
  q tSC
}

Method GetModifiedOnDate() As %Integer
{
	
  s dateToUse = $case(..ModifiedOnDate,
                      1:$zdh(..CustomDate,,,,,,,,""), ;use the date
                      2:64702,  ;testing
                      3:64735,  ;testing
                       :$h - 1)  ;use yesterdays date
	q dateToUse
}

}
