Class SEOC.Maintenance.DB.Message.SEOCHTTPRequest Extends %Net.HttpRequest
{

// Overrides %Net.HttpRequest's SetHeader in order to be able to set ContentType as a header rather than Entity.Body

// Called by: DAS.Operation.FHIRDocumentationNotification

Method SetHeader(name As %String, value As %String) As %Status
{
		
		Set uname=$zconvert(name,"u")
		If $length(uname)>250 Quit $$$ERROR($$$HTTPHeaderLong,name)
		//If uname="CONTENTTYPE"||(uname="CONTENT-TYPE"){
		// 	Set ..ContentType=value 
		// 	}
		If uname="CONTENTENCODING"||(uname="CONTENT-ENCODING"){
		 	Set ..ContentEncoding=value Quit $$$OK	 	
		 }
		#; Read only value, just ignore a set attempt.
		If uname="CONTENTLENGTH"||(uname="CONTENT-LENGTH"){
		 	Quit $$$ERROR($$$HttpRequestContentLength)
		 }
		#; If this is one of default headers then let user totally replace our version of this
		If $data(i%Headers(uname,2)) {
			Set i%Headers(uname)=value,i%Headers(uname,0)=name
		} ElseIf $get(i%Headers(uname))'="" {
			Set i%Headers(uname)=i%Headers(uname)_","_value
		} Else {
			Set i%Headers(uname)=value,i%Headers(uname,0)=name,i%Headers(uname,1)=$increment(i%Headers)
		}
		
		Quit $$$OK
}

Method ContentTypeGet() As %String
{
		Quit "application/json+fhir"
}

// Body attributes are added as headers at run time

// Setting attribute here in order to have the correct header

Method ContentTypeSet(contenttype As %String) As %Status
{
		Do ..EntityBody.SetAttribute("CONTENT-TYPE","application/json+fhir")
		Quit $$$OK
}

}
