Class SEOC.Maintenance.DB.OBJ.BillingCode Extends (%Persistent, %XML.Adaptor)
{

Property id As %Integer;

Property precertRequired As %Boolean;

Property billingCode As %String(MAXLEN = "");

Property codeType As %String(MAXLEN = "");

Relationship service As SEOC.Maintenance.DB.OBJ.Service [ Cardinality = parent, Inverse = billingCodes ];

ClassMethod CreateFromDynamicObj(pJSONObj As %DynamicObject, Output pStatus As %Status) As SEOC.Maintenance.DB.OBJ.BillingCode
{
	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	#dim tBillingCode As SEOC.Maintenance.DB.OBJ.BillingCode = ""
	
	try {
		
		if $ISOBJECT(pJSONObj) {
			
			set tBillingCode = ##class(SEOC.Maintenance.DB.OBJ.BillingCode).%New()
			set tBillingCode.id = pJSONObj.%Get("id")
			set tBillingCode.precertRequired = pJSONObj.%Get("precertRequired")
			set tBillingCode.billingCode = pJSONObj.%Get("billingCode")
			set tBillingCode.codeType = pJSONObj.%Get("codeType")
			
		}
		
	} catch e {
		
		set tSC = e.AsStatus()
		
	}
	
	quit tBillingCode
}

Storage Default
{
<Data name="BillingCodeDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>id</Value>
</Value>
<Value name="3">
<Value>precertRequired</Value>
</Value>
<Value name="4">
<Value>billingCode</Value>
</Value>
<Value name="5">
<Value>codeType</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("billingCodes")</DataLocation>
<DefaultData>BillingCodeDefaultData</DefaultData>
<IdLocation>^SEOC.Maintenance.DABDA.ServiceC("billingCodes")</IdLocation>
<IndexLocation>^SEOC.MaintenanABDA.BillingCodeI</IndexLocation>
<StreamLocation>^SEOC.MaintenanABDA.BillingCodeS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
