Class SEOC.Maintenance.DB.OBJ.SEOC Extends (%Persistent, %XML.Adaptor)
{

Property id As %Integer;

Property seocKey As %Integer;

Property name As %String(MAXLEN = "");

Property seocId As %String(MAXLEN = "");

Property versionNumber As %String(MAXLEN = "");

Property description As %String(MAXLEN = "");

Property effectiveDate As %String(MAXLEN = "");

Property endDate As %String(MAXLEN = "");

Property duration As %Integer;

Property PAL As %String;

Property proceduralOverview As %String(MAXLEN = "");

Property maxAllowableVisits As %Integer;

Property disclaimer As %String(MAXLEN = "");

Property activatedTimestamp As %String(MAXLEN = "");

Property activatedBy As %String(MAXLEN = "");

Property discontinuedTimeStamp As %String(MAXLEN = "");

Property discontinuedBy As %String(MAXLEN = "");

Property status As %String(MAXLEN = "");

Property QASP As %String;

Property categoryOfCare As %String(MAXLEN = "");

Property serviceLine As %String(MAXLEN = "");

Relationship services As SEOC.Maintenance.DB.OBJ.Service [ Cardinality = children, Inverse = seoc ];

ClassMethod CreateFromDynamicObj(pJSONObj As %Library.DynamicObject, Output pStatus As %Status) As SEOC.Maintenance.DB.OBJ.SEOC
{
	#dim tSC As %String = $$$OK
	#dim e As %Exception.AbstractException
	#dim tSEOC As SEOC.Maintenance.DB.OBJ.SEOC = ""
	
	try {
		
		if $ISOBJECT(pJSONObj) {
			
			set tSEOC = ##class(SEOC.Maintenance.DB.OBJ.SEOC).%New()
			set tSEOC.id = pJSONObj.%Get("id")
			set tSEOC.seocKey = pJSONObj.%Get("seocKey")
			set tSEOC.name = pJSONObj.%Get("name")
			set tSEOC.seocId = pJSONObj.%Get("seocId")
			set tSEOC.versionNumber = pJSONObj.%Get("versionNumber")
			set tSEOC.description = pJSONObj.%Get("description")
			set tSEOC.effectiveDate = pJSONObj.%Get("effectiveDate")
			set tSEOC.endDate = pJSONObj.%Get("endDate")
			set tSEOC.duration = pJSONObj.%Get("duration")
			set tSEOC.PAL = pJSONObj.%Get("PAL")
			set tSEOC.proceduralOverview = pJSONObj.%Get("proceduralOverview")
			set tSEOC.maxAllowableVisits = pJSONObj.%Get("maxAllowableVisits")
			set tSEOC.disclaimer = pJSONObj.%Get("disclaimer")
			set tSEOC.activatedTimestamp = pJSONObj.%Get("activatedTimestamp")
			set tSEOC.activatedBy = pJSONObj.%Get("activatedBy")
			set tSEOC.discontinuedTimeStamp= pJSONObj.%Get("discontinuedTimeStamp")
			set tSEOC.discontinuedBy = pJSONObj.%Get("discontinuedBy")
			set tSEOC.status = pJSONObj.%Get("status")
			set tSEOC.QASP = pJSONObj.%Get("QASP")
			set tSEOC.categoryOfCare = pJSONObj.%Get("categoryOfCare")
			set tSEOC.serviceLine = pJSONObj.%Get("serviceLine")
			
			for i=0:1:pJSONObj.%Get("services").%Size()-1 {
				
				set tService = ##class(SEOC.Maintenance.DB.OBJ.Service).CreateFromDynamicObj(pJSONObj.%Get("services").%Get(i))
				$$$ThrowOnError(tSEOC.services.Insert(tService))
			}
			
		}
		
	} catch e {
		
		set tSC = e.AsStatus()
		set tSEOC = ""
		
	}
	
	quit tSEOC
}

Storage Default
{
<Data name="SEOCDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>id</Value>
</Value>
<Value name="3">
<Value>seocKey</Value>
</Value>
<Value name="4">
<Value>name</Value>
</Value>
<Value name="5">
<Value>seocId</Value>
</Value>
<Value name="6">
<Value>versionNumber</Value>
</Value>
<Value name="7">
<Value>description</Value>
</Value>
<Value name="8">
<Value>effectiveDate</Value>
</Value>
<Value name="9">
<Value>endDate</Value>
</Value>
<Value name="10">
<Value>duration</Value>
</Value>
<Value name="11">
<Value>PAL</Value>
</Value>
<Value name="12">
<Value>proceduralOverview</Value>
</Value>
<Value name="13">
<Value>maxAllowableVisits</Value>
</Value>
<Value name="14">
<Value>disclaimer</Value>
</Value>
<Value name="15">
<Value>activatedTimestamp</Value>
</Value>
<Value name="16">
<Value>activatedBy</Value>
</Value>
<Value name="17">
<Value>discontinuedTimeStamp</Value>
</Value>
<Value name="18">
<Value>discontinuedBy</Value>
</Value>
<Value name="19">
<Value>status</Value>
</Value>
<Value name="20">
<Value>QASP</Value>
</Value>
<Value name="21">
<Value>categoryOfCare</Value>
</Value>
<Value name="22">
<Value>serviceLine</Value>
</Value>
</Data>
<DataLocation>^SEOC.Maintenance.DB.OBJ.SEOCD</DataLocation>
<DefaultData>SEOCDefaultData</DefaultData>
<IdLocation>^SEOC.Maintenance.DB.OBJ.SEOCD</IdLocation>
<IndexLocation>^SEOC.Maintenance.DB.OBJ.SEOCI</IndexLocation>
<StreamLocation>^SEOC.Maintenance.DB.OBJ.SEOCS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
