Class SEOC.Maintenance.DB.OBJ.Service Extends (%Persistent, %XML.Adaptor)
{

Property id As %Integer;

Property description As %String(MAXLEN = "");

Property frequency As %String(MAXLEN = "");

Property frequencyType As %String(MAXLEN = "");

Property visits As %Integer;

Property codedBy As %String(MAXLEN = "");

Property codedTimestamp As %String(MAXLEN = "");

Property codeRequired As %String(MAXLEN = "");

Property clinicalService As %String(MAXLEN = "");

Relationship billingCodes As SEOC.Maintenance.DB.OBJ.BillingCode [ Cardinality = children, Inverse = service ];

Relationship seoc As SEOC.Maintenance.DB.OBJ.SEOC [ Cardinality = parent, Inverse = services ];

ClassMethod CreateFromDynamicObj(pJSONObj As %DynamicObject, Output pStatus As %Status) As SEOC.Maintenance.DB.OBJ.Service
{
	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	#dim tService As SEOC.Maintenance.DB.OBJ.Service = ""
	
	try {
		
		if $ISOBJECT(pJSONObj) {
			
			set tService = ##class(SEOC.Maintenance.DB.OBJ.Service).%New()
			set tService.id = pJSONObj.%Get("id")
			set tService.description = pJSONObj.%Get("description")
			set tService.frequency = pJSONObj.%Get("frequencyd")
			set tService.frequencyType = pJSONObj.%Get("frequencyType")
			set tService.visits = pJSONObj.%Get("visits")
			set tService.codedBy = pJSONObj.%Get("codedBy")
			set tService.codedTimestamp = pJSONObj.%Get("codedTimestamp")
			set tService.codeRequired = pJSONObj.%Get("codeRequired")
			set tService.clinicalService = pJSONObj.%Get("clinicalService")

			for i=0:1:pJSONObj.%Get("billingCodes").%Size()-1 {
				
				set tBillingCode = ##class(SEOC.Maintenance.DB.OBJ.BillingCode).CreateFromDynamicObj(pJSONObj.%Get("billingCodes").%Get(i))
				$$$ThrowOnError(tService.billingCodes.Insert(tBillingCode))
			}
			
		}
		
	} catch e {
		
		set tSC = e.AsStatus()
		
	}
	
	quit tService
}

Storage Default
{
<Data name="ServiceDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>id</Value>
</Value>
<Value name="3">
<Value>description</Value>
</Value>
<Value name="4">
<Value>frequency</Value>
</Value>
<Value name="5">
<Value>frequencyType</Value>
</Value>
<Value name="6">
<Value>visits</Value>
</Value>
<Value name="7">
<Value>codedBy</Value>
</Value>
<Value name="8">
<Value>codedTimestampe</Value>
</Value>
<Value name="9">
<Value>codeRequired</Value>
</Value>
<Value name="10">
<Value>clinicalService</Value>
</Value>
<Value name="11">
<Value>codedTimestamp</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("services")</DataLocation>
<DefaultData>ServiceDefaultData</DefaultData>
<IdLocation>^SEOC.Maintenance.DB.OBJ.SEOCC("services")</IdLocation>
<IndexLocation>^SEOC.Maintenance.DABDA.ServiceI</IndexLocation>
<StreamLocation>^SEOC.Maintenance.DABDA.ServiceS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
