Class SEOC.Maintenance.DB.Transform.SEOCDBtoHSRMSEOC Extends Ens.DataTransform
{

ClassMethod Transform(pSource As SEOC.Maintenance.DB.OBJ.SEOC, pTarget As SEOC.Maintenance.s0.SEOCData) As %Status
{

	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	#dim tSourceService As SEOC.Maintenance.DB.OBJ.Service
	#dim tTargetService As SEOC.Maintenance.s0.SEOCService
	
	try {
		
		set pTarget = ##class(SEOC.Maintenance.s0.SEOCData).%New()
		set pTarget.SEOCIDNumber = pSource.seocId
		set pTarget.ServiceLine = pSource.serviceLine
		set pTarget.CategoryOfCare = pSource.categoryOfCare
		set pTarget.SEOCName = $zstrip(pSource.name,">W")_" SEOC "_pSource.versionNumber
		set pTarget.ClinicalService = $p(pSource.services.GetAt(1).clinicalService,"-",1)
		set pTarget.Version = pSource.versionNumber
		//MKC - Changed to accept dates in "MM/DD/YYYY" format
		//set pTarget.EffectiveStartDate = $p(pSource.effectiveDate,"-",2) _ "/" _ $p(pSource.effectiveDate,"-",1) _ "/" _ $p(pSource.effectiveDate,"-",3)
		//JLM - 10/2/18 - Changed back to DD/MM/YYYY for latest release of SEOC DB  
		set pTarget.EffectiveStartDate = $TR(pSource.effectiveDate,"-","/")
		//set pTarget.EffectiveEndDate = $p(pSource.endDate,"-",2) _ "/" _ $p(pSource.endDate,"-",1) _ "/" _ $p(pSource.endDate,"-",3)
		set pTarget.EffectiveEndDate = $TR(pSource.endDate,"-","/")
		set pTarget.PALSEOC = pSource.PAL
		set pTarget.PreCertSEOC = "" //TBD
		set pTarget.Disclaimer = pSource.disclaimer
		set pTarget.CMSTaxonomyCode = $p(pSource.services.GetAt(1).clinicalService,"-",1)
		set pTarget.Duration = pSource.duration
		
		for i=1:1:pSource.services.Count() {
		
			set tSourceService = pSource.services.GetAt(i)
			set tTargetService = ##class(SEOC.Maintenance.s0.SEOCService).%New()
			set tTargetService.AuthorizedNoOfVisits = tSourceService.visits
			set tTargetService.NoOfService = tSourceService.id
			set tTargetService.ServiceCareRequested = tSourceService.description

			set tProcedureCodes = ""
			if tSourceService.billingCodes.Count() > 0 {
				for j=1:1:tSourceService.billingCodes.Count() {
				
					set tProcedureCodeList = $LB(tSourceService.billingCodes.GetAt(j).billingCode)
						
				}
				set tProcedureCodes = $LTS(tProcedureCodeList)
			}
			
			set tTargetService.CPTCodes = tProcedureCodes
			$$$ThrowOnError(pTarget.Services.Insert(tTargetService))
			
		}
		
	} catch e {
		
		set tSC = e.AsStatus()
		
	}
	
	quit tSC
}

}
