Class SEOC.Maintenance.Operation.RetrieveSEOC Extends EnsLib.REST.GenericOperation
{

Parameter INVOCATION = "Queue";

// Override the OnInit method in order to use the DASHTTPRequest and update headers as needed

Method OnInit() As %Status
{
	//Set ..%HttpRequest=##class(SEOC.Maintenance.Message.SEOCHTTPRequest).%New()
	set ..%HttpRequest = ##class(%Net.HttpRequest).%New()
	
	Quit $$$OK
}

Method OnMessage(pRequest As SEOC.Maintenance.Message.RetrieveSEOCRequest, Output pResponse As EnsLib.HTTP.GenericMessage) As %Status
{
 
	#dim tSC As %String = $$$OK 
	#dim tHttpResponse As %Net.HttpResponse = ##class(%Net.HttpResponse).%New()
	
	try{

  		//Set custom SEOC headers
  		do ..%HttpRequest.SetHeader("Accept", "*/*")
  		
  		//Set Adapter URL path depending on value of SEOC ID in Request Message
  		//SEOC Id = "" - Retrieve all SEOCs (URL = .../v1/seoc)
  		//SEOC Id = <SEOC ID> - Retrieve just the one SEOC (URL = .../v1/seoc/{id}
  		
  		set:'(pRequest.SEOCId="") ..Adapter.URL = ..Adapter.URL _ "/" _ pRequest.SEOCId
  		
  		//Execute the "GET"
  		Set tSC = ..Adapter.SendFDNS   aArray(.tHttpResponse, "GET", ..%HttpRequest)
    		
  		
  		//Log response/error received from DAS
  		If $IsObject(tHttpResponse.Data) {
	  		
	  		set tStream = ##class(%Stream.GlobalCharacter).%New()
	  		$$$ThrowOnError(tStream.CopyFrom(tHttpResponse.Data))
	  		set pResponse = ##class(EnsLib.HTTP.GenericMessage).%New(tStream)

  			$$$LOGINFO("SEOC Data received from SEOC DB")
  		}
  		Else { 	$$$LOGERROR("No response received from SEOC DB") 		}
      
  	}
  catch ex {
  		
  		Set tSC = ex.AsStatus()
  }
  
  quit tSC
}

XData MessageMap
{
<MapItems>
		<MapItem MessageType="SEOC.Maintenance.Message.RetrieveSEOCRequest"> 
			<Method>OnMessage</Method>
		</MapItem>
	</MapItems>
}

}
