Class SEOC.Maintenance.Operation.SoapSEOCInSoap Extends (Ens.BusinessOperation, HS.Util.Trace.Helper, HS.Util.Trace.Performance) [ ClassType = "", Inheritance = right, ProcedureBlock ]
{

Property ServiceName As %String [ InitialExpression = "HSRM.SEOCUpload" ];

Parameter SETTINGS = "ServiceName:Basic";

Parameter ADAPTER = "EnsLib.SOAP.OutboundAdapter";

Method Main(pRequest As SEOC.Maintenance.Message.MainRequest, Output pResponse As SEOC.Maintenance.Message.MainResponse) As %Library.Status
{

	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	
	try { 
		
		Set ..Adapter.WebServiceClientClass = "SEOC.Maintenance.SoapSEOCInSoap"
	 
		//Get WS Location from HS Service Registry
		Set tEndPoint = ##class(HS.Registry.Service.SOAP).EndPointForNameType(..ServiceName,"SOAP")
		If $isObject(tEndPoint) {
			Set tURL=tEndPoint.EndPoint
			Set ..Adapter.SOAPCredentials=tEndPoint.UsernameTokenProfileConfig
			Set ..Adapter.SSLConfig=tEndPoint.SSLConfig
		} else {
			$$$ThrowOnError($$$ERROR($$$GeneralError,"ServiceName not found"))
		}
		
		$$$HSTRACE("URL","tURL,tEndPoint",tURL,tEndPoint)
		Set ..Adapter.WebServiceURL = tURL
	 
		$$$ThrowOnError(..Adapter.InvokeMethod("Main",.MainResult,pRequest.SEOCData))
		$$$ThrowOnError(pRequest.NewResponse(.pResponse))
		Set pResponse.MainResult=$get(MainResult)
	
	} catch e {
		
		set tSC = e.AsStatus()
		
	}
	
	quit tSC
}

XData MessageMap
{
<MapItems>
	<MapItem MessageType="SEOC.Maintenance.Message.MainRequest">
		<Method>Main</Method>
	</MapItem>
</MapItems>
}

}
