Class eCAMS.Operation.Alert Extends Ens.BusinessOperation
{

Parameter ADAPTER = "EnsLib.EMail.OutboundAdapter";

Property Adapter As EnsLib.EMail.OutboundAdapter;

Parameter INVOCATION = "Queue";

// 8-24-18  JLM

// Handles any errors received from eCAMS.Operation.ReferralDocumentToeCAMS by way of Ens.Alert

Method ConstructEmailToECAMS(pRequest As Ens.Request, Output pResponse As Ens.Response) As %Status
{
	set tsc = $$$OK
	
	try{

		set email=##class(%Net.MailMessage).%New()
		set email.ContentType = "text/html"
		set email.IsHTML = 1
		set email.Charset = "utf-8"

	    //Get info from pRequest to construct email body
	    set email.Subject=pRequest.SourceConfigName _ " Error"
	    do email.TextData.Write("Received from: " _ pRequest.SourceConfigName _ 
	    	"<br/>Received at: " _ pRequest.AlertTime _
	    	"<br/>Session ID: " _ pRequest.SessionId _
	    	"<br/>Details: " _ pRequest.AlertText   )
	    
	    //simple case--do not check for failed recipients
	    set tSc=..Adapter.SendMail(email)
	
	    //send an empty response message after message is sent
	    set pResponse=##class(Ens.Response).%New()

	}
	catch e{
		set tsc = e.AsStatus()
	}
	
	quit tsc
}

XData MessageMap
{
<MapItems>
  <MapItem MessageType="Ens.Request">
    <Method>ConstructEmailToECAMS</Method>
  </MapItem>
</MapItems>
}

}
