Class eCAMS.Service.GetHSRMReferral Extends (EnsLib.SOAP.Service, HS.Util.Trace.Helper)
{

// REST WS used for in house testing of the eCAMS interfaces.

// SOAP WS created separately to work with MR17 changes that allow HSRM to notify real time when a new referral is available.

Parameter SERVICENAME = "eCamsGetHSRMReferral";

Property eCAMSTarget As Ens.DataType.ConfigName [ InitialExpression = "eCAMS.Process.ExtractTransformReferral" ];

Parameter ADAPTER;

Method OnProcessInput(pInput As Ens.StringContainer, Output pOutput As %RegisteredObject) As %Status
{
	
	set tSC = $$$OK

	try{
	
		If '(pInput.StringValue="")  //verify a document ID was sent
		{		
			//TODO:  Need to filter out non eCAMS referrals based on network code and station  number
			//Currently, ISC should handle this piece and only send eCAMs referrals to this WS
							
			//Pass data to process that generates JSON for eCAMS
			$$$ThrowOnError(..SendRequestSync(..eCAMSTarget,pInput))
		}
	}
	catch e{
		set tSC = e.AsStatus()
	}
	
	Quit tSC
}

}
