﻿using VA.QA.Common.UIFramework.Selenium;
using System;
using System.Configuration;

namespace VA.QA.Common.UIFramework.Selenium.Config
{
    public class TestRunConfig
    {
        private static string driver { get { return TestProperties.GetPropertyValueAsString("Driver"); } }
        public static Driver Driver { get { return (Driver)Enum.Parse(typeof(Driver), driver); } }
        public static bool Debug { get { return bool.Parse(TestProperties.GetPropertyValueAsString("Debug")); } }
        // Selenium
        private static int CommandTimeout { get { return int.Parse(TestProperties.GetPropertyValueAsString("CommandTimeout")); } }
        public static TimeSpan CommandTimeoutTimeSpan { get { return new TimeSpan(0, 0, 0, CommandTimeout); } }
        public static string PageLoadTimeoutSeconds { get { return TestProperties.GetPropertyValueAsString("PageLoadTimeoutSeconds"); } }
        public static string ScriptTimeoutSeconds { get { return TestProperties.GetPropertyValueAsString("ScriptTimeoutSeconds"); } }
        public static bool RunFullScreen { get { return bool.Parse(TestProperties.GetPropertyValueAsString("RunFullScreen")); } }
        // Server
        public static string SeleniumServerAddress { get { return TestProperties.GetPropertyValueAsString("SeleniumServerAddress"); } }
        public static Uri Address { get { return new Uri(SeleniumServerAddress); } }
        public static string remoteBrowserName { get { return TestProperties.GetPropertyValueAsString("RemoteBrowserName"); } }
        public static Browser RemoteBrowserName { get { return (Browser)Enum.Parse(typeof(Browser), remoteBrowserName); } }
        public static string RemoteBrowserVersion { get { return TestProperties.GetPropertyValueAsString("RemoteBrowserVersion"); } }
        public static bool IsJavaScriptEnabled { get { return bool.Parse(TestProperties.GetPropertyValueAsString("IsJavaScriptEnabled")); } }
        public static bool AcceptSslCertificates { get { return bool.Parse(TestProperties.GetPropertyValueAsString("AcceptSslCertificates")); } }
        public static bool Headless { get { return bool.Parse(TestProperties.GetPropertyValueAsString("Headless")); } }
    }

    public class TestProperties
    {
        public static string GetPropertyValueAsString(string configName)
        {
            return ConfigurationManager.AppSettings[configName];
        }
    }

}
