﻿using OpenQA.Selenium.Interactions;

namespace OpenQA.Selenium.Support.UI
{
    public static class SelectElementExtension
    {
        public static void SelectbyTextClick(this SelectElement selectElement, string text, IWebDriver driver)
        {
            foreach (IWebElement option in selectElement.Options)
                if (option.Text == text)
                {
                    Actions action = new Actions(driver);
                    action.MoveToElement(option);
                    action.Click();
                    action.SendKeys(Keys.Escape);
                    action.Build();
                    action.Perform();
                    return;
                }
            throw new NotFoundException(string.Format("Option with text: {0}", text));
        }
    }
}
