﻿using OpenQA.Selenium.Support.UI;
using System;

namespace OpenQA.Selenium
{
    internal class SeachContextWait : DefaultWait<ISearchContext>
    {
        public SeachContextWait(ISearchContext element, TimeSpan timeout)
            : this(new SystemClock(), element, timeout, DefaultSleepTimeout)
        { }

        public SeachContextWait(IClock clock, ISearchContext element, TimeSpan timeout, TimeSpan sleepInterval)
           : base(element, clock)
        {
            this.Timeout = timeout;
            this.PollingInterval = sleepInterval;
            this.IgnoreExceptionTypes(typeof(NotFoundException));
        }

        private static TimeSpan DefaultSleepTimeout
        {
            get { return TimeSpan.FromMilliseconds(500); }
        }
    }
}