﻿using VA.QA.Common.UIFramework.Selenium.Config;
using OpenQA.Selenium;
using Quintity.TestFramework.Core;
using System;
using System.Drawing.Imaging;
using System.IO;
using System.Diagnostics;

namespace VA.QA.Common.UIFramework.Selenium
{
    public class WebCapture
    {
        private IWebDriver driver = null;
        private string fileName;

        public WebCapture(IWebDriver iWebDriver, string captureName)
        {
            fileName = string.Format(@"{0}\{1}.{2}", Directory.GetCurrentDirectory(), DateTime.Now.Ticks, captureName);
            driver = iWebDriver;
        }

        public void CaptureWebPage()
        {
            if (SeleniumConfiguration.LoggingLevel != "OFF")
            {
                PageSource();
                ScreenShot();
            }
        }

        private void PageSource()
        {
            var pageSourceFilename = string.Format(@"{0}.html", fileName);
            Trace.TraceInformation("Page source file name: {0}", pageSourceFilename);
            using (var sw = new StreamWriter(pageSourceFilename, false))
                sw.Write(driver.PageSource);
        }

        private void ScreenShot()
        {
            Trace.TraceInformation("Driver type is: {0}", driver.GetType().ToString());
            if (driver.GetType().ToString().Contains("RemoteWebDriver"))
                if (TestRunConfig.Headless)
                    return;
            var screenShotFileName = string.Format(@"{0}.jpeg", fileName);
            Trace.TraceInformation("ScreenShot file name: {0}", screenShotFileName);
            driver.TakeScreenShot(screenShotFileName, OpenQA.Selenium.ScreenshotImageFormat.Jpeg);
        }
    }
}