﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;
using VA.QA.Common.UIFramework.Selenium;
using Quintity.TestFramework.Core;
using OpenQA.Selenium;
using OpenQA.Selenium.Support.PageObjects;

using VA.QA.CCRA.TestCases.Pages;



namespace VA.QA.CCRA.TestCases.Pages
{
    public class PageHome : PageGlobalElements
    {
        public PageHome(IWebDriver browser)
        {
            _driver = browser;
            IPage.Equals(browser, this);
            PageFactory.InitElements(browser, this);
        }



        [FindsBy(How = How.Id, Using = "SSUserLogon_0-button-Logon")]
        public IWebElement btnLogon { get; set; }

        // [FindsBy(How = How.Id, Using = "#SSUserLogon_0-row-1-item-LocListLocation-link")]
        [FindsBy(How = How.XPath, Using = "//a[contains(text(),'Hospital of the University of Pennsylvania')]")]
        public IWebElement linkUserLocation { get; set; }


     



        [FindsBy(How = How.Id, Using = "SSUserLogon_0-item-USERNAME")]
        public IWebElement inputUserName { get; set; }

        [FindsBy(How = How.Id, Using = "SSUserLogon_0-item-PASSWORD")]
        public IWebElement inputPassword { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingListInquiry_List_0-header-caption")]
        public IWebElement pageNameRefList { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Find_0-header-caption")]
        public IWebElement pageNamePatientSearch { get; set; }


        [FindsBy(How = How.Id, Using = "tc_NavBar-misc-homeButtonIcon")]
        public IWebElement btnHome { get; set; }


        [FindsBy(How = How.Id, Using = "tc_NavBar-profilePanel-userIcon")]
        public IWebElement linkUser { get; set; }


        [FindsBy(How = How.Id, Using = "tc_NavBar-profilePanel-logout")]
        public IWebElement linkLogout { get; set; }

        public static string HomeURL = "http://IP          /HSRM/csp/system.Home.cls#/Component/SSUserLogon";

        //Users


        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'VA Supervisor')]")]
        public IWebElement userNameVASupervisor { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'VA CC Staff Member')]")]
        public IWebElement userNameVACCStaffMember { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'VA Customer Servicer')]")]
        public IWebElement userNameVACustomerService { get; set; }


        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'VA CC Clinical Coordinator')]")]
        public IWebElement userNameVACCClinicalCoordinator { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Community Staff Member')]")]
        public IWebElement userNameCommunityStaffMember { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Community Clinician')]")]
        public IWebElement userNameCommunityClinician { get; set; }

    }

}

