﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;
using VA.QA.Common.UIFramework.Selenium;
using Quintity.TestFramework.Core;
using OpenQA.Selenium;
using OpenQA.Selenium.Support.PageObjects;
using NUnit.Framework;
using VA.QA.CCRA.TestCases.Pages;



namespace VA.QA.CCRA.TestCases.Pages
{
    public class PagePatientDetails : PageGlobalElements
    {
        private readonly IWebDriver _driver;
        public PagePatientDetails(IWebDriver browser)
        {
            _driver = browser;
            IPage.Equals(browser, this);
            PageFactory.InitElements(browser, this);
        }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Patient Registration')]")]    
        public IWebElement moduleNamePatientRegistration { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Edit_0-item-PAPERID")]
        public IWebElement inputSSN { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Edit_0-item-PAPERContactNotes")]
        public IWebElement inputContactNotes { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Edit_0-button-update1")]
        public IWebElement btnUpdate { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[name='PAPERContactNotes'][class='ng-not-empty']")]  
        public IWebElement inputContactNotesWithValue { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[name='PAPERContactNotes'][class='ng-empty']")]
        public IWebElement inputContactNotesEmpty { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Edit_0-item-CTSEXDesc")]
        public IWebElement inputGender { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Edit_0-item-PackagesLnk-link")]
        public IWebElement buttonPreauthorizaton { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Banner-row-0-item-BANNERSurname")]
        public IWebElement patientDetails_BannerName { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Banner-row-0-item-BANNERDOB")]
        public IWebElement patientDetails_BannerDOB { get; set; }


        [FindsBy(How = How.Id, Using = "PAPerson_Banner-row-0-item-BANNERAge")]
        public IWebElement patientDetails_BannerAge { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Banner-row-0-item-BANNERSex")]
        public IWebElement patientDetails_BannerSex { get; set; }


        public Boolean IsFemale
        {
            get
            {
                string gender = inputGender.GetAttribute("value");
                return (gender == "Female") ? true : false;
            }
        }

        public Boolean IsMale
        {
            get
            {
                string gender = inputGender.GetAttribute("value");
                return (gender == "Male") ? true : false;
            }
        }

        public void ClearContactNotesField(PageHome home)
        {
            inputContactNotes.Clear();
            btnUpdate.Click();
            home.buttonEclipse.Click();
            home.linkPatientDetails.Click();
            Thread.Sleep(6000);
        }

        public void VerifyBannerInfo_PatientDetails()
        {
            Assert.IsTrue(this.patientDetails_BannerName.Displayed);
            Assert.IsTrue(this.patientDetails_BannerDOB.Displayed);
            Assert.IsTrue(this.patientDetails_BannerAge.Displayed);
            Assert.IsTrue(this.patientDetails_BannerSex.Displayed);
        }
    }
}

