﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;
using VA.QA.Common.UIFramework.Selenium;
using Quintity.TestFramework.Core;
using OpenQA.Selenium;
using OpenQA.Selenium.Support.PageObjects;
using NUnit.Framework;
using VA.QA.CCRA.TestCases.Pages;



namespace VA.QA.CCRA.TestCases.Pages
{
    public class PageReferralDetails : PageGlobalElements
    {
        private readonly IWebDriver _driver;
        public PageReferralDetails(IWebDriver browser)
        {
            _driver = browser;
            IPage.Equals(browser, this);
            PageFactory.InitElements(browser, this);
        }

        public Boolean IsRightPage
        {
            get
            {
                return true;
            }

        }



        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Referral Details')]")]
        public IWebElement moduleReferralDetails { get; set; }

        // [FindsBy(How = How.XPath, Using = "//spam[contains(text(),'Insurance Details')]")]
        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-section-3-caption")]
        public IWebElement moduleInsDetails { get; set; }


        [FindsBy(How = How.Id, Using = "PAPerson_Banner-row-0-misc-actionButtonIcon")]
        public IWebElement buttonEllipse { get; set; }


        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Additional Referral Information')]")]
        public IWebElement linkAdditionalReferralInfo { get; set; }

        //[FindsBy(How = How.XPath, Using = "//*[contains(text(),'Patient Details')]")]
        //public IWebElement linkPatientDetails { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Add Task')]")]
        public IWebElement linkAddTask { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Banner-row-0-item-BANNERSurname")]
        public IWebElement referralDetails_BannerName { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Banner-row-0-item-BANNERDOB")]
        public IWebElement referralDetails_BannerDOB { get; set; }


        [FindsBy(How = How.Id, Using = "PAPerson_Banner-row-0-item-BANNERAge")]
        public IWebElement referralDetails_BannerAge { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Banner-row-0-item-BANNERSex")]
        public IWebElement referralDetails_BannerSex { get; set; }


        [FindsBy(How = How.XPath, Using = "//div[@aria-label ='Referral Category Lookup']")]
        public IWebElement lookupReferralCategory { get; set; }

        [FindsBy(How = How.XPath, Using = "//div[@aria-label ='Payor Lookup']")]
        public IWebElement lookupPayor { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-ADMCATDesc")]
        public IWebElement inputLevelOfCare { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-SPPPDesc")]
        public IWebElement inputServiceRequested { get; set; }

        [FindsBy(How = How.XPath, Using = "//div[@aria-label ='Level of Care Lookup']")]
        public IWebElement lookupLevelOfCare { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[@id='PAWaitingList_Edit_0 - item - ADMCATDesc - lookupRow - 0 - value - 0'][contains(text(),'Basic')]")]
        public IWebElement levelOfCare_OptionBasic { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[@id='PAWaitingList_Edit_0-item-ADMCATDesc-lookupRow-1-value-0'][contains(text(),'Complex')]")]
        public IWebElement levelOfCare_OptionComplex { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[@id='PAWaitingList_Edit_0-item-ADMCATDesc-lookupRow-2-value-0'][contains(text(),'Moderate')]")]
        public IWebElement levelOfCare_OptionModerate { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[@id='PAWaitingList_Edit_0-item-ADMCATDesc-lookupRow-3-value-0'][contains(text(),'Urgent')]")]
        public IWebElement levelOfCare_OptionUrgent { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-WLPresentComplaint")]
        public IWebElement inputMedicalNecessity { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-WLTreatmentStartDate-lookup")]
        public IWebElement clinicallyIndicatedDate_lookup { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-SPPPDesc-lookup")]
        public IWebElement serviceRequested_lookup { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[@id='PAWaitingList_Edit_0-item-WLTreatmentStartDate-tcDate-date-4-3-label'][contains(text(),'28')]")]
        public IWebElement clinicallyIndicatedDate_ValidDate { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-WLTreatmentStartDate")]
        public IWebElement inputClinicallyIndicatedDate { get; set; }


        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'ANGIOGRAPHY, ADRENAL, UNILAT, SELECTIVE, RADIOLOGICAL S&I')]")]
        public IWebElement serviceRequested_ValidOption { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Inpatient')]")]
        public IWebElement referralCategory_OptionInpatient { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-INSTDesc-lookupRow-0-value-1")]
        public IWebElement payorOptionVA { get; set; }


        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Outpatient')]")]
        public IWebElement referralCategoryOptionOutpatient { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-SUBTDesc")]
        public IWebElement inputReferralCategory { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-button-update1")]
        public IWebElement btnUpdate_RefDetPage { get; set; }


        //[FindsBy(How = How.CssSelector, Using = "#tc_NavBar-misc-profileToggle span.ng-binding:contains('VA Supervisor')")]
        //public IWebElement userNameVACCStaffMember { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-INSTDesc")]
        public IWebElement inputPayor { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-WLPresentComplaint")]
        public IWebElement fieldMedicalNecessity { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-WLTriageNotes")]
        public IWebElement fieldClinicalReviewNotes { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-WLRemarks")]
        public IWebElement fieldProcessingComments { get; set; }



        public void VerifyBannerInfo_ReferralDetails()
        {
            Assert.IsTrue(this.referralDetails_BannerName.Displayed);
            Assert.IsTrue(this.referralDetails_BannerAge.Displayed);
            Assert.IsTrue(this.referralDetails_BannerDOB.Displayed);
            Assert.IsTrue(this.referralDetails_BannerAge.Displayed);
            Assert.IsTrue(this.referralDetails_BannerSex.Displayed);
        }


        public void ClearFieldLevelOfCare()
        {
            string inputText = inputLevelOfCare.GetAttribute("value");
            if (!String.IsNullOrEmpty(inputText))
            {
                inputLevelOfCare.Clear();
                Thread.Sleep(3000);
            }
        }

        public void ClearFieldMedicalNecessity()
        {
            string inputText = inputMedicalNecessity.GetAttribute("value");
            if (!String.IsNullOrEmpty(inputText))
            {
                inputMedicalNecessity.Clear();
                Thread.Sleep(3000);
            }
        }

        public void ClearFieldClinicallyIndicatedDate()
        {
            string inputText = inputClinicallyIndicatedDate.GetAttribute("value");
            if (!String.IsNullOrEmpty(inputText))
            {
                inputClinicallyIndicatedDate.Clear();
                Thread.Sleep(3000);
            }
        }

        public void ClearFieldServiceRequested()
        {
            string inputText = inputServiceRequested.GetAttribute("value");
            if (!String.IsNullOrEmpty(inputText))
            {
                inputServiceRequested.Clear();
                Thread.Sleep(3000);
            }
        }

        public void ClearFieldReferralCategory()
        {
            string inputText = inputReferralCategory.GetAttribute("value");
            if (!String.IsNullOrEmpty(inputText))
            {
                inputReferralCategory.Clear();
                Thread.Sleep(3000);
            }
        }

        public void ClearFieldPayor()
        {
            string inputText = inputPayor.GetAttribute("value");
            if (!String.IsNullOrEmpty(inputText))
            {
                inputPayor.Clear();
                Thread.Sleep(3000);
            }
        }

        public void ClearAllUsedCommentFields()
        {
            fieldMedicalNecessity.Clear();
            Thread.Sleep(2000);
            fieldClinicalReviewNotes.Clear();
            Thread.Sleep(2000);
            fieldProcessingComments.Clear();
            Thread.Sleep(2000);
            //ChangeReferralStatusToInitial();
            //Thread.Sleep(2000);
            //ChangeNetworkToNotAllocated();
            //Thread.Sleep(2000);
        }








        public void SelectClinicallyIndicatedDate()
        {
            clinicallyIndicatedDate_lookup.Click();
            Thread.Sleep(1000);
            clinicallyIndicatedDate_ValidDate.Click();
            Thread.Sleep(3000);
        }

        public void SelectCerviceRequestedValue()
        {
            serviceRequested_lookup.Click();
            Thread.Sleep(1000);
            serviceRequested_ValidOption.Click();
            Thread.Sleep(3000);
        }

        public void SelectLevelOfCareValueComplex()
        {
            lookupLevelOfCare.Click();
            Thread.Sleep(1000);
            levelOfCare_OptionComplex.Click();
            Thread.Sleep(2000);
        }

        public void SelectLevelOfCareValueUrgent()
        {
            lookupLevelOfCare.Click();
            Thread.Sleep(1000);
            levelOfCare_OptionUrgent.Click();
            Thread.Sleep(2000);
        }

        public void SelectReferralCategoryOutpatientOption()
        {
            lookupReferralCategory.Click();
            Thread.Sleep(2000);
            referralCategoryOptionOutpatient.Click();
        }
        public void SelectReferralCategoryInpatientOption()
        {
            lookupReferralCategory.Click();
            Thread.Sleep(1000);
            Assert.IsTrue(referralCategory_OptionInpatient.Displayed);
            Assert.IsTrue(referralCategoryOptionOutpatient.Displayed);
            referralCategory_OptionInpatient.Click();

        }

        public void SelectPayorVAOption()
        {
            lookupPayor.Click();
            Thread.Sleep(2000);
            Assert.IsTrue(payorOptionVA.Displayed);
            payorOptionVA.Click();
        }

        public PageTaskEdit NavigateToTaskEditView()
        {
            buttonEllipse.Click();
            Thread.Sleep(2000);
            linkAddTask.Click();
            Thread.Sleep(2000);
            var pageTaskEdit = new PageTaskEdit(SharedTestMethods.Driver);
            Assert.IsTrue(pageTaskEdit.moduleNameTaskEdit.Displayed);
            Assert.IsTrue(pageTaskEdit.fieldTaskItem_Required.Displayed);
            return new PageTaskEdit(SharedTestMethods.Driver);
        }

        public void ChangeReferralStatusToApptmtMade()
        {
            Status_lookup.Click();
            Thread.Sleep(1000);
            referralStatusOptionApptmtMade.Click();
            Thread.Sleep(3000);
        }

        public void ChangeReferralStatusToInitial()
        {
            Status_lookup.Click();
            Thread.Sleep(1000);
            referralStatusInitial.Click();
            Thread.Sleep(3000);
        }

        public void ChangeNetworkToCCN1()
        {
            Network_lookup.Click();
            Thread.Sleep(1000);
            networkOptionCCN1.Click();
            Thread.Sleep(3000);
        }

        public void ChangeNetworkToNotAllocated()
        {
            Network_lookup.Click();
            Thread.Sleep(1000);
            networkOptionNotAllocated.Click();
            Thread.Sleep(3000);
        }

        public void SelectUpdateAndWait()
        {
            btnUpdate_RefDetPage.Click();
            Thread.Sleep(3000);
        }

    [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-WLSDesc-lookup")]
    public IWebElement Status_lookup { get; set; }

    [FindsBy(How = How.XPath, Using = "//span[@id='PAWaitingList_Edit_0-item-WLSDesc-lookupRow-2-value-1'][contains(text(),'Appointment Made')]")]
    public IWebElement referralStatusOptionApptmtMade { get; set; }

    [FindsBy(How = How.XPath, Using = "//span[@id='PAWaitingList_Edit_0-item-WLSDesc-lookupRow-0-value-1'][contains(text(),'Initial')]")]
    public IWebElement referralStatusInitial { get; set; }



    [FindsBy(How = How.Id, Using = "PAWaitingList_Edit_0-item-WLTDesc-lookup")]
    public IWebElement Network_lookup { get; set; }

    [FindsBy(How = How.XPath, Using = "//span[@id='PAWaitingList_Edit_0-item-WLTDesc-lookupRow-0-value-1'][contains(text(),'CCN1')]")]
    public IWebElement networkOptionCCN1 { get; set; }

    [FindsBy(How = How.XPath, Using = "//span[@id='PAWaitingList_Edit_0-item-WLTDesc-lookupRow-4-value-0'][contains(text(),'Not Allocated')]")]
    public IWebElement networkOptionNotAllocated { get; set; }

    }
}

