﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;
using VA.QA.Common.UIFramework.Selenium;
using Quintity.TestFramework.Core;
using OpenQA.Selenium;
using OpenQA.Selenium.Support.PageObjects;

using VA.QA.CCRA.TestCases.Pages;



namespace VA.QA.CCRA.TestCases.Pages
{
    public class PageTaskEdit
    {
        private readonly IWebDriver _driver;
        public PageTaskEdit(IWebDriver browser)
        {
            _driver = browser;
            IPage.Equals(browser, this);
            PageFactory.InitElements(browser, this);
        }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Message')]")]    
        public IWebElement taskItemOption_Message { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Pre Certification')]")]
        public IWebElement taskItemOption_PreCertification { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Case Management')]")]
        public IWebElement taskItemOption_CaseManagement { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Patient Contact')]")]
        public IWebElement taskItemOption_PatientContact { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Process Preauthorizationt')]")]
        public IWebElement taskItemOption_ProcessPreauthorization { get; set; }


        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Normal')]")]
        public IWebElement priorityOption_Normal { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Repeat')]")]
        public IWebElement priorityOption_Repeat { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Emergency/ASAP')]")]
        public IWebElement priorityOption_EmergencyASAP { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Soon')]")]
        public IWebElement priorityOption_Soon { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Urgent')]")]
        public IWebElement priorityOption_Urgent { get; set; }



        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Auto Allocation Process')]")]
        public IWebElement assignToUserOption_AutoAllocationProcess { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Community Clinician')]")]
        public IWebElement assignToUserOption_CommunityClinician { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Community Network Provider')]")]
        public IWebElement assignToUserOption_CommunityNetworkProvider { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Community Staff Member')]")]
        public IWebElement assignToUserOption_CommunityStaffMember { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Demo User')]")]
        public IWebElement assignToUserOption_DemoUser { get; set; }

        [FindsBy(How = How.Id, Using = "epr_TaskList_Edit_0-item-Comments")]
        public IWebElement fieldComments { get; set; }








        [FindsBy(How = How.Id, Using = "epr_TaskList_Edit_0-header-caption")]
        public IWebElement moduleNameTaskEdit { get; set; }


        [FindsBy(How = How.XPath, Using = "//div[@aria-label ='Task Item Lookup']")]
        public IWebElement lookupTaskItem { get; set; }

        [FindsBy(How = How.XPath, Using = "//div[@aria-label ='Priority Lookup']")]
        public IWebElement lookupPriority { get; set; }

        [FindsBy(How = How.XPath, Using = "//div[@aria-label ='Status Lookup']")]
        public IWebElement lookuptatus { get; set; }

        [FindsBy(How = How.XPath, Using = "//div[@aria-label ='Assign Task to User Lookup']")]
        public IWebElement lookupAssignTaskToUser { get; set; }

        [FindsBy(How = How.XPath, Using = "//div[@aria-label ='Assign Task to Group Lookup']")]
        public IWebElement lookupAssignedToUser { get; set; }

        [FindsBy(How = How.XPath, Using = "//div[@aria-label ='Assign Task to Group Lookup']")]
        public IWebElement lookupAssignTaskToGroupr { get; set; }

        [FindsBy(How = How.XPath, Using = "//input[@name ='TaskItem'][@required='required']")]
        public IWebElement fieldTaskItem_Required { get; set; }

        [FindsBy(How = How.XPath, Using = "//input[@name ='OECPRDesc'][@required='required']")]
        public IWebElement fieldPriority_Required { get; set; }

        [FindsBy(How = How.XPath, Using = "//input[@name ='Status'][@required='required']")]
        public IWebElement fieldStatus_Required { get; set; }

        [FindsBy(How = How.XPath, Using = "//input[@name ='AssignToUser']")]
        public IWebElement fieldAssignTaskToUser { get; set; }

        [FindsBy(How = How.XPath, Using = "//input[@name ='AssignGroup']")]
        public IWebElement fieldAssignTaskToGroup{ get; set; }

        [FindsBy(How = How.Id, Using = "epr_TaskList_Edit_0-button-close1")]
        public IWebElement btnUpdate_TaskEditPage { get; set; }
    }
}

