﻿using VA.QA.Common.UIFramework.Selenium;
using Quintity.TestFramework.Core;
using OpenQA.Selenium;
using OpenQA.Selenium.Support.PageObjects;
using System.Threading;
using System;

namespace VA.QA.CCRA.TestCases.Pages
{
    public abstract class PageGlobalElements
    {
        protected IWebDriver _driver;

        [FindsBy(How = How.Id, Using = "SSUserName_0-button-Logon")]
        public IWebElement linkUserName { get; set; }


        [FindsBy(How = How.Id, Using = "tc_Breadcrumbs-toggleIcon")]
        public IWebElement linkBreadCrumbs { get; set; }


        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Back to: Referral Details')]")]   
        public IWebElement backToReferralDetails { get; set; }

        [FindsBy(How = How.XPath, Using = "/html/body/div[3]/div[2]/div/ul/li[contains(text(),'Referral List')]")]
        public IWebElement brdcrmbReferralList { get; set; }

        [FindsBy(How = How.XPath, Using = "/html/body/div[3]/div[2]/div/ul/li[contains(text(),'Referral Details')]")]
        public IWebElement brdcrmbReferralDetails { get; set; }

        [FindsBy(How = How.XPath, Using = "/html/body/div[3]/div[2]/div/ul/li[contains(text(),'Additional Referral Information')]")]
        public IWebElement brdcrmbAdditionalReferralInformation { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Referral List')]")]
        public IWebElement linkReferralList { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Task List')]")]
        public IWebElement linkTaskList { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Find Referrals')]")]
        public IWebElement linkFindReferrals { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Find Referral by Patient')]")]
        public IWebElement linkFindReferralByPatient { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Insights')]")]
        public IWebElement linkInsights { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Reports')]")]
        public IWebElement linkReports { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Find / Create Patient')]")]
        public IWebElement linkFindCreatePatient { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Create New Referral')]")]
        public IWebElement linkCreateNewReferral { get; set; }

        [FindsBy(How = How.Id, Using = "tc_MainMenu-misc-search")]
        public IWebElement elementSearch { get; set; }

        [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Patient Details')]")]
        public IWebElement linkPatientDetails { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Banner-row-0-misc-actionButtonIcon")]
        public IWebElement buttonEclipse { get; set; }

        [FindsBy(How = How.CssSelector, Using = "md-icon[id='tc_NavBar-misc-menuButtonIcon']")]
        public IWebElement linkMainMenu { get; set; }

        public IWebElement Exists(By byParam)
        {
            IWebElement ret = null;

            try
            {
               ret = _driver.FindElement(byParam);
            }
            catch (NoSuchElementException ex)
            {
                ret = null;
            }

            return ret;
        }

        //public PageReferralList NavigateToPageReferralList()
        //{
        //    linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    linkReferralList.Click();
        //    Thread.Sleep(3000);
        //    //var pageReferralList = new PageReferralList(SharedTestMethods.Driver);

        //    //return pageReferralList;

        //    return new PageReferralList(SharedTestMethods.Driver);

        //}

        //public void NavigateToPageReferralList()
        //{
        //    linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    linkReferralList.Click();
        //    Thread.Sleep(3000);

        //}

    }
}
