﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;
using VA.QA.Common.UIFramework.Selenium;
using Quintity.TestFramework.Core;
using OpenQA.Selenium;
using OpenQA.Selenium.Support.PageObjects;

using VA.QA.CCRA.TestCases.Pages;



namespace VA.QA.CCRA.TestCases.Pages
{
    namespace VA.QA.CCRA.TestCases.Pages
    {
        public class PagePlayground
        {
            private readonly IWebDriver _driver;
            public PagePlayground(IWebDriver browser)
            {
                _driver = browser;
                IPage.Equals(browser, this);
                PageFactory.InitElements(browser, this);
            }

            [FindsBy(How = How.XPath, Using = "//*[contains(text(),'Patient Registration')]")]
            public IWebElement moduleNamePatientRegistration { get; set; }

            [FindsBy(How = How.Id, Using = "PAPerson_Edit_0-item-PAPERID")]
            public IWebElement inputSSN { get; set; }

            [FindsBy(How = How.Id, Using = "PAPerson_Edit_0-item-PAPERContactNotes")]
            public IWebElement inputContactNotes { get; set; }

            [FindsBy(How = How.Id, Using = "PAPerson_Edit_0-button-update1")]
            public IWebElement btnUpdate { get; set; }

            [FindsBy(How = How.XPath, Using = "//*[input(text(),'Patient Prefers to be contacted via email')]")]
            public IWebElement inputContactNotesWithValue { get; set; }

            [FindsBy(How = How.Id, Using = "PAPerson_Edit_0-item-CTSEXDesc")]
            public IWebElement inputGender { get; set; }

            public Boolean IsFemale
            {
                get
                {
                    string gender = inputGender.GetAttribute("value");
                    return (gender == "Female") ? true : false;
                }
            }

            public Boolean IsMale
            {
                get
                {
                    string gender = inputGender.GetAttribute("value");
                    return (gender == "Male") ? true : false;
                }
            }

        }
    }

}