﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VA.QA.CCRA.TestCases.Common;
using OpenQA.Selenium;
using VA.QA.CCRA.TestCases.Pages;
using System.Threading;
using NUnit.Framework;
using VA.QA.Common.UIFramework.Selenium;

namespace VA.QA.CCRA.TestCases
{
    public class SharedTestMethods
    {
        public static IWebDriver Driver { get; private set; }

        public static void LoginAsVACCStaffMember()
        {
            NavigateToLoginPageAndLogin("ccst", "pass");
            var pageHome = new PageHome(Driver);
            var pageReferralList = new PageReferralList(Driver);
            var pagePatientSearch = new PagePatientSearch(Driver);
            Assert.IsTrue(pageHome.userNameVACCStaffMember.Displayed);
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
        }

        public static void LoginAsVASupervisor()
        {
            NavigateToLoginPageAndLogin("va", "pass");
            var pageHome = new PageHome(Driver);
            var pageReferralList = new PageReferralList(Driver);
            Assert.IsTrue(pageHome.userNameVASupervisor.Displayed);
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
        }

        public static void LoginAsVACCClinicalCoordinator()
        {
            NavigateToLoginPageAndLogin("cccl", "pass");
            var pageHome = new PageHome(Driver);
            var pageReferralList = new PageReferralList(Driver);
            Assert.IsTrue(pageHome.userNameVACCClinicalCoordinator.Displayed);
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
        }


        public static void LoginAsCommunityStaffMember()
        {
            NavigateToLoginPageAndLogin("ccss", "pass");
        }

        public static void LoginAsCommunityClinician()
        {
            NavigateToLoginPageAndLogin("ccp", "pass");
        }

        public static void LoginAsCommunityNetworkProvider()
        {
            NavigateToLoginPageAndLogin("cn", "pass");
        }
        public static void LoginAsVACustomerService()
        {
            NavigateToLoginPageAndLogin("csr", "pass");
        }

        private static void NavigateToLoginPageAndLogin(string user, string password)
        {
            Driver = EnvironmentManager.Instance.CreateDriverInstance();
            Driver.Manage().Window.Maximize();
            Driver.Navigate().GoToUrl(PageHome.HomeURL);
            var logins = new Logins(Driver);
            logins.UserLogin(user, password);
            var pageHome = new PageHome(Driver);
        }

        public static void LogoutAndExit()
        {
            var logins = new Logins(Driver);
            logins.UserLogOut();

            var pageHome = new PageHome(Driver);
            Assert.IsTrue(pageHome.btnLogon.Displayed);
            EnvironmentManager.Instance.CloseCurrentDriver();

        }

        public static void Logout()
        {
            var logins = new Logins(Driver);
            logins.UserLogOut();
            //TestAssert.IsTrue(pageHome.userNameVASupervisor.Displayed);
        }


        public static void NavigateToPatientDetailsPage()
        {
            var pageHome = new PageHome(SharedTestMethods.Driver);
            pageHome.buttonEclipse.Click();
            pageHome.linkPatientDetails.Click();
            Thread.Sleep(6000);
            var pagePatientDetails = new PagePatientDetails(SharedTestMethods.Driver);
            Assert.IsTrue(pagePatientDetails.moduleNamePatientRegistration.Displayed);
        }
        public static void VerifyBannerOnPatientDetailsPage()
        {
            var pagePatientDetails = new PagePatientDetails(SharedTestMethods.Driver);
            //TestAssert.IsTrue(pageReferralDetails.referralDetails_BannerName.Displayed);
            //TestAssert.IsTrue(pageReferralDetails.referralDetails_BannerDOB.Displayed);
            //TestAssert.IsTrue(pageReferralDetails.referralDetails_BannerAge.Displayed);
            //TestAssert.IsTrue(pageReferralDetails.referralDetails_BannerSex.Displayed);
        }

        public static void VerifyBannerOnReferralListPage()
        {
            var pageReferralDetails = new PageReferralDetails(SharedTestMethods.Driver);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerName.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerDOB.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerAge.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerSex.Displayed);
        }


        public static void NavigateToReferralDetailsPage_VACCStaffMember(PagePatientSearch pagePatientSearch, PageReferralList pageReferralList, PageReferralDetails pageReferralDetails)
        {
            Assert.IsTrue(pagePatientSearch.pageNamePatientSearch.Displayed);
            pagePatientSearch.linkMainMenu.Click();
            Thread.Sleep(2000);
            pagePatientSearch.linkReferralList.Click();
            Thread.Sleep(3000);
            //var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
            pageReferralList.linkReferralAny.Click();
            Thread.Sleep(3000);
            //var pageReferralDetails = new PageReferralDetails(SharedTestMethods.Driver);
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
        }

        //public static void NavigateToAddTasjPage(PageReferralDetails pageReferralDetails)
        //{
        //    pageReferralDetails.buttonEllipse.Click();
        //    Thread.Sleep(2000);
        //    pageReferralDetails.linkAddTask.Click();
        //    Thread.Sleep(2000);
        //    //var pageTaskEdit = new PageTaskEdit(SharedTestMethods.Driver);
        //    TestAssert.IsTrue(pageTaskEdit.moduleNameTaskEdit.Displayed);
        //}

    }
}