﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using VA.QA.Common.UIFramework.Selenium;
using OpenQA.Selenium;
using VA.QA.CCRA.TestCases.Pages;
using OpenQA.Selenium.Support.PageObjects;
using VA.QA.CCRA.TestCases.Common;
using NUnit.Framework;



namespace VA.QA.CCRA.TestCases
{
    public class GeneralNavigation 
    {

        //TC 49524 US 47537 Ability to Navigate Pages - Breadcrumb

        [Test]

        public void NavigationUsingBreadcrumbs()

        {
            IWebDriver Driver = EnvironmentManager.Instance.CreateDriverInstance();
            Driver.Manage().Window.Maximize();

            //Navigate to Home page
            Driver.Navigate().GoToUrl(PageHome.HomeURL);

            //Loging as VASupervisor user and verify redirect to the Referral List page.
            var pageHome = new PageHome(Driver);

            var logins = new Logins(Driver);
            logins.UserLogin("va", "pass");

            //Choose any Referral and get redirected to Patient Details page
            var pageReferralList = new PageReferralList(Driver);
            pageReferralList.linkReferralAny.Click();
            Thread.Sleep(3000);
            var pageReferralDetails = new PageReferralDetails(Driver);
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            //TestAssert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);

            //Click the Ellipse in the upper right and select "Patient Details". The Patient Details screen displays
            pageReferralDetails.buttonEllipse.Click();
            Thread.Sleep(2000);
            pageReferralDetails.linkPatientDetails.Click();
            Thread.Sleep(1000);
            var pagePatientDetails = new PagePatientDetails(Driver);
            Assert.IsTrue(pagePatientDetails.moduleNamePatientRegistration.Displayed);

            //View the drop down in the upper left. The drop down will have a link "Back To: Referral Details". Click the "Back To: Referral Details" link. The referral details page displays.
            pageHome.backToReferralDetails.Click();
            Thread.Sleep(2000);
           Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);

            //Click the Ellipse in the upper right and select "Additional Referral Information". The additional referral information screen displays.
            pageReferralDetails.buttonEllipse.Click();
            Thread.Sleep(3000);
            pageReferralDetails.linkAdditionalReferralInfo.Click();
            Thread.Sleep(3000);
            var pageAdditionalRefInfo = new PageAdditionalRefInfo(Driver);
            Assert.IsTrue(pageAdditionalRefInfo.namePatientContact.Displayed);

            //Choose the drop down next to "Back To Referral Details". An indented list of the path links is displayed.
            pageHome.linkBreadCrumbs.Click();
            Assert.IsTrue(pageHome.brdcrmbReferralList.Displayed);
            Assert.IsTrue(pageHome.brdcrmbReferralDetails.Displayed);
            Assert.IsTrue(pageHome.brdcrmbAdditionalReferralInformation.Displayed);

            //Choose the "Referral List" Link. The referral list page displays.
            pageHome.brdcrmbReferralList.Click();
            Thread.Sleep(3000);
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);

            //Click the username in the upper right and choose Logout. Verify The logon screen displays
            logins.UserLogOut();
            EnvironmentManager.Instance.CloseCurrentDriver();
        }

        //TC 49329 US 47538 Ability to Navigate Pages - Quick Access to Home

        //[Test]
        //public void NavigationQuickAccessHome()

        //{
        //    IWebDriver Driver = EnvironmentManager.Instance.CreateDriverInstance();
        //    Driver.Manage().Window.Maximize();

        //    //Navigate to Home page
        //    Driver.Navigate().GoToUrl(PageHome.HomeURL);

        //    //Loging as LoginVACCStaffMember user and verify redirect to Patient Search page
        //    var pageHome = new PageHome(Driver);

        //    var logins = new Logins(Driver);
        //    //logins.UserLogin("ccst", "pass");
        //    logins.UserLogin("va", "pass");

        //    //Choose facility
        //    //logins.UserselectLocationWhenLoggedIn();


        //    //Choose Referral List from the main menu drop down 
        //    var pagePatientSearch = new PagePatientSearch(Driver);
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(3000);
        //    pagePatientSearch.linkReferralList.Click();
        //    Thread.Sleep(3000);
        //    var pageReferralList = new PageReferralList(Driver);
        //    Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);

        //    //Choose any Referral and get redirected to Patient View page
        //    pageReferralList.linkReferralAny.Click();
        //    Thread.Sleep(3000);
        //    var pageReferralDetails = new PageReferralDetails(Driver);
        //    Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);

        //    //Click the Ellipse in the upper right and select Additional Referral Information
        //    pageReferralDetails.buttonEllipse.Click();
        //    Thread.Sleep(3000);
        //    pageReferralDetails.linkAdditionalReferralInfo.Click();
        //    Thread.Sleep(3000);
        //    var pageAdditionalRefInfo = new PageAdditionalRefInfo(Driver);
        //    Assert.IsTrue(pageAdditionalRefInfo.namePatientContact.Displayed);

        //    //Choose the Home button and verify redirect redirect to Patient Search page
        //    pageHome.btnHome.Click();
        //    Thread.Sleep(4000);
        //    Assert.IsTrue(pageHome.pageNamePatientSearch.Displayed);

        //    //Click the username in the upper right and choose Logout. Verify The logon screen displays
        //    pageHome.btnHome.Click();
        //    Thread.Sleep(4000);
        //    Assert.IsTrue(pageHome.pageNamePatientSearch.Displayed);
        //    logins.UserLogOut();
        //    EnvironmentManager.Instance.CloseCurrentDriver();
        //}

        //TC 49634 US 47539 Ability to Navigate pages-Quick Navigation

        //[Test]

        //public void NavigationUsingQuick_LogedInAsVACCStaffMembe()

        //{
        //    IWebDriver Driver = EnvironmentManager.Instance.CreateDriverInstance();
        //    Driver.Manage().Window.Maximize();

        //    //Navigate to Home page
        //    Driver.Navigate().GoToUrl(PageHome.HomeURL);

        //    //Loging as LoginVACCStaffMember user and verify redirect to Patient Search page
        //    var pageHome = new PageHome(Driver);

        //    var logins = new Logins(Driver);
        //    logins.UserLogin("ccst", "pass");
        //    //Go to the main menu drop down. The drop down menu is displays  "Search", "Create New Referral", "Find/Create Patient", "Find Referral By Patient", "Find Referrals", and "Referral List
        //    var pagePatientSearch = new PagePatientSearch(Driver);
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    Assert.IsTrue(pageHome.linkReferralList.Displayed);
        //    Assert.IsTrue(pageHome.linkTaskList.Displayed);
        //    Assert.IsTrue(pageHome.linkFindReferrals.Displayed);
        //    Assert.IsTrue(pageHome.linkFindReferralByPatient.Displayed);
        //    Assert.IsTrue(pageHome.linkFindCreatePatient.Displayed);
        //    Assert.IsTrue(pageHome.linkCreateNewReferral.Displayed);
        //    Assert.IsTrue(pageHome.elementSearch.Displayed);

        //    //Choose "Referral list from the main menu drop down. The referral list is displays
        //    pageHome.linkReferralList.Click();
        //    Thread.Sleep(3000);
        //    var pageReferralList = new PageReferralList(Driver);
        //    Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);

        //    //Choose  create new Referral from the main menu drop down. Patient Search page is displays 
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    pageHome.linkCreateNewReferral.Click();
        //    Thread.Sleep(3000);
        //    Assert.IsTrue(pagePatientSearch.moduleNamePatientSearch.Displayed);

        //    //Choose "Find/Create Patient  from the main menu drop down. Patient Search page is displays 
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    pageHome.linkFindCreatePatient.Click();
        //    Thread.Sleep(3000);
        //    Assert.IsTrue(pagePatientSearch.moduleNamePatientSearch.Displayed);

        //    //Choose  "Find Referral by Patient"  from the main menu drop down. Patient Search page is displays 
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    pageHome.linkFindReferralByPatient.Click();
        //    Thread.Sleep(3000);
        //    Assert.IsTrue(pagePatientSearch.moduleNamePatientSearch.Displayed);

        //    //Choose  "Find referral   from the main menu drop down. The Inquiry selection page is displays 
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    pageHome.linkFindReferrals.Click();
        //    Thread.Sleep(3000);
        //    var pageInquirySelection = new PageInquirySelection(Driver);
        //    Assert.IsTrue(pageInquirySelection.pageNameInquirySelection.Displayed);


        //    //Choose the "Home Icon Button. The Patient search page is displays
        //    pageHome.btnHome.Click();
        //    Thread.Sleep(4000);
        //    Assert.IsTrue(pageHome.pageNamePatientSearch.Displayed);
        //    //Choose the User Profile icon on the upper left conrner. User profile window is displays with. Choose to logout
        //    logins.UserLogOut();

        //    EnvironmentManager.Instance.CloseCurrentDriver();
        //}

        //[Test]

        //public void NavigationUsingQuick_LogedInAsVASupervisor()

        //{
        //    IWebDriver Driver = EnvironmentManager.Instance.CreateDriverInstance();
        //    Driver.Manage().Window.Maximize();

        //    //Navigate to Home page
        //    Driver.Navigate().GoToUrl(PageHome.HomeURL);

        //    //Loging as LoginVACCStaffMember user and verify redirect to Patient Search page
        //    //var pageHome = new PageHome(Driver);

        //    var logins = new Logins(Driver);
        //    logins.UserLogin("va", "pass");

        //    //Go to the main menu drop down. The drop down menu is displays  "Search", "Create New Referral", "Find/Create Patient", "Find Referral By Patient", "Find Referrals", and "Referral List
        //    var pagePatientSearch = new PagePatientSearch(Driver);
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    //TestAssert.IsTrue(pageHome.linkReferralList.Displayed);
        //    //TestAssert.IsTrue(pageHome.linkTaskList.Displayed);
        //    //TestAssert.IsTrue(pageHome.linkFindReferrals.Displayed);
        //    //TestAssert.IsTrue(pageHome.linkFindReferralByPatient.Displayed);
        //    //TestAssert.IsTrue(pageHome.linkFindCreatePatient.Displayed);
        //    //TestAssert.IsTrue(pageHome.linkCreateNewReferral.Displayed);
        //    //TestAssert.IsTrue(pageHome.elementSearch.Displayed);

        //    //Choose "Referral list from the main menu drop down. The referral list is displays
        //    var pageHome = new PageHome(Driver);
        //    pageHome.linkReferralList.Click();
        //    Thread.Sleep(3000);
        //    var pageReferralList = new PageReferralList(Driver);
        //    Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);

        //    //Choose  create new Referral from the main menu drop down. Patient Search page is displays 
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    pageHome.linkCreateNewReferral.Click();
        //    Thread.Sleep(3000);
        //    Assert.IsTrue(pagePatientSearch.moduleNamePatientSearch.Displayed);

        //    //Choose "Find/Create Patient  from the main menu drop down. Patient Search page is displays 
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    pageHome.linkFindCreatePatient.Click();
        //    Thread.Sleep(3000);
        //    Assert.IsTrue(pagePatientSearch.moduleNamePatientSearch.Displayed);

        //    //Choose  "Find Referral by Patient"  from the main menu drop down. Patient Search page is displays 
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    pageHome.linkFindReferralByPatient.Click();
        //    Thread.Sleep(3000);
        //    Assert.IsTrue(pagePatientSearch.moduleNamePatientSearch.Displayed);

        //    //Choose  "Find referral   from the main menu drop down. The Inquiry selection page is displays 
        //    pagePatientSearch.linkMainMenu.Click();
        //    Thread.Sleep(2000);
        //    pageHome.linkFindReferrals.Click();
        //    Thread.Sleep(3000);
        //    var pageInquirySelection = new PageInquirySelection(Driver);
        //    Assert.IsTrue(pageInquirySelection.pageNameInquirySelection.Displayed);


        //    //Choose the "Home Icon Button. The Patient search page is displays
        //    pageHome.btnHome.Click();
        //    Thread.Sleep(4000);
        //    Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
        //    //Choose the User Profile icon on the upper left conrner. User profile window is displays with. Choose to logout
        //    logins.UserLogOut();

        //    EnvironmentManager.Instance.CloseCurrentDriver();
        //}





        //TC 49329 US 47538 Ability to Navigate Pages - Quick Access to Home

        [Test]
        public void NavigationQuickAccessHome()

        {
            IWebDriver Driver = EnvironmentManager.Instance.CreateDriverInstance();
            Driver.Manage().Window.Maximize();

        //    //Navigate to Home page
            Driver.Navigate().GoToUrl(PageHome.HomeURL);

            //Loging as LoginVACCStaffMember user, Choose facility and verify redirect to Referal List page
            var pageHome = new PageHome(Driver);

            var logins = new Logins(Driver);
            //logins.UserLogin("ccst", "pass");
            logins.UserLogin("va", "pass");

            //Choose Referral List from the main menu drop down 
            var pageGlobalElements = new PagePatientSearch(Driver);
            pageGlobalElements.linkMainMenu.Click();
            Thread.Sleep(3000);

            var pagePatientSearch = new PagePatientSearch(Driver);
                pagePatientSearch.linkReferralList.Click();
                Thread.Sleep(3000);
                var pageReferralList = new PageReferralList(Driver);
                Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);

            //    //Choose any Referral and get redirected to Patient View page
            //    pageReferralList.linkReferralAny.Click();
            //    Thread.Sleep(3000);
            //    var pageReferralDetails = new PageReferralDetails(Driver);
            //    Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);

            //    //Click the Ellipse in the upper right and select Additional Referral Information
            //    pageReferralDetails.buttonEllipse.Click();
            //    Thread.Sleep(3000);
            //    pageReferralDetails.linkAdditionalReferralInfo.Click();
            //    Thread.Sleep(3000);
            //    var pageAdditionalRefInfo = new PageAdditionalRefInfo(Driver);
            //    Assert.IsTrue(pageAdditionalRefInfo.namePatientContact.Displayed);

            //    //Choose the Home button and verify redirect redirect to Patient Search page
            //    pageHome.btnHome.Click();
            //    Thread.Sleep(4000);
            //    Assert.IsTrue(pageHome.pageNamePatientSearch.Displayed);

            //    //Click the username in the upper right and choose Logout. Verify The logon screen displays
            //    pageHome.btnHome.Click();
            //    Thread.Sleep(4000);
            //    Assert.IsTrue(pageHome.pageNamePatientSearch.Displayed);
            logins.UserLogOut();
            EnvironmentManager.Instance.CloseCurrentDriver();
        }

    }
}