﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using VA.QA.Common.UIFramework.Selenium;
using OpenQA.Selenium;
using VA.QA.CCRA.TestCases.Pages;
using OpenQA.Selenium.Support.PageObjects;
using VA.QA.CCRA.TestCases.Common;
using NUnit.Framework;
using OpenQA.Selenium.Support.UI;


namespace VA.QA.CCRA.TestCases
{
    public class PatientInfo {
        //TC 49801 US 47509 Ability to View Patient Registration - Patient Registration
        //Login As VA CC Staff Member(ccst)_The Patient Search screen displays.
        //Enter Last Name and First Name and choose "Find"_The patient list displays search result
        //Select Patient name. Verify redirect to Referral list
        //Click on the referral line.Verify Referral Details page
        //Choose the ellipse in the upper right and select "Patient Details". The patient details display including first name, last name, middle name, gender, DOB, and address information.
        //Navigate to the Patient Registration portion of the screen and click on "Contact Notes". The text box is ready for free form text.
        //Enter "Patient Prefers to be contacted via email" and choose the "update" button.The systems displays the referral details page.
        //Open the patient details page again. Contact notes have been retained.
        //Log Out

        [Test]

        public void AbilityToView_PatientRegistration()

        {
            SharedTestMethods.LoginAsVACCStaffMember();
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            pagePatientSearch.inputLastName.SendKeys("HSRMPATIENT");
            pagePatientSearch.inputFirstName.SendKeys("TwoSixFive");
            pagePatientSearch.btnFind.Click();
            var pagePatientList = new PagePatientList(SharedTestMethods.Driver);
            pagePatientList.linkPatientFirst.Click();
            Thread.Sleep(3000);
            var pageReferralDetails = new PageReferralDetails(SharedTestMethods.Driver);
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            var pageHome = new PageHome(SharedTestMethods.Driver);
            pageHome.buttonEclipse.Click();
            Thread.Sleep(1000);
            pageHome.linkPatientDetails.Click();
            Thread.Sleep(6000);
            var pagePatientDetails = new PagePatientDetails(SharedTestMethods.Driver);
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);            
            Assert.IsTrue(pagePatientDetails.inputSSN.Displayed);
            pageReferralDetails.VerifyBannerInfo_ReferralDetails();
            string inputText = pagePatientDetails.inputContactNotes.GetAttribute ("value");
            if (!String.IsNullOrEmpty(inputText))
            {
                pagePatientDetails.ClearContactNotesField(pageHome);
                //TestAssert.IsTrue(pagePatientDetails.inputContactNotesEmpty.Displayed);
            }
            pagePatientDetails.inputContactNotes.SendKeys("Patient Prefers to be contacted via email");
            pagePatientDetails.btnUpdate.Click();
            Thread.Sleep(3000);

            pageHome.buttonEclipse.Click();
            Thread.Sleep(2000);
            pageHome.linkPatientDetails.Click();
            Thread.Sleep(6000);
            //TestAssert.IsTrue(pagePatientDetails.inputContactNotesWithValue.Displayed);
            Thread.Sleep(3000);
            pagePatientDetails.ClearContactNotesField(pageHome);
            Thread.Sleep(2000);
            //TestAssert.IsTrue(pagePatientDetails.inputContactNotesEmpty.Displayed);

            SharedTestMethods.LogoutAndExit();
        }

        //TC 50248 47860 Ability to View Patient Information on referral
        //Login as Community Clinician
        //Select a referral.Verify that referral details screen displays
        //View the referral banner for Demographics.Name, DOB, Age and Gender displays
        //Click the Ellipse in the upper right and select "Patient Details". The Patient Details screen displays
        //View  additional patient details and click the user name in the upper right
        //Log Out

        [Test]
        public void AbilityToViewPatientIInformationOnReferral()

        {
            SharedTestMethods.LoginAsCommunityClinician();
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            pageReferralList.linkReferralAny.Click();
            var pageReferralDetails = new PageReferralDetails(SharedTestMethods.Driver);
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerName.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerDOB.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerAge.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerSex.Displayed);
            pageReferralDetails.buttonEllipse.Click();
            Thread.Sleep(2000);
            pageReferralDetails.linkPatientDetails.Click();
            Thread.Sleep(1000);
            var pagePatientDetails = new PagePatientDetails(SharedTestMethods.Driver);
            Assert.IsTrue(pagePatientDetails.inputSSN.Displayed);
            SharedTestMethods.LogoutAndExit();
        }

        //TC 49521 US 47527 Ability to Select Referrals - Patient Details
        [Test]

        public void AbilityToSelectReferrals_PatientDetails()

        {
            SharedTestMethods.LoginAsVACCStaffMember();
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            pagePatientSearch.inputLastName.SendKeys("HSRMPATIENT");
            pagePatientSearch.inputFirstName.SendKeys("TwoSixFive");
            pagePatientSearch.btnFind.Click();
            var pagePatientList = new PagePatientList(SharedTestMethods.Driver);
            pagePatientList.linkPatientFirst.Click();
            Thread.Sleep(3000);
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            Assert.IsTrue(pageReferralList.pageNamepatientRefList.Displayed);
            SharedTestMethods.VerifyBannerOnReferralListPage();
            SharedTestMethods.NavigateToPatientDetailsPage();
            var pagePatientDetails = new PagePatientDetails(SharedTestMethods.Driver);
            Assert.IsTrue(pagePatientDetails.moduleNamePatientRegistration.Displayed);
            pagePatientDetails.buttonPreauthorizaton.Click();
            var pagePreauthorizationList = new PagePreauthorizationList(SharedTestMethods.Driver);
            Assert.IsTrue(pagePreauthorizationList.pageNamePreauthorization.Displayed);
           //Need add items from the Preauthorization list. Cannot find Patient with preauthorization.
            SharedTestMethods.LogoutAndExit();
        }


    }
}