﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using VA.QA.Common.UIFramework.Selenium;
using OpenQA.Selenium;
using VA.QA.CCRA.TestCases.Pages;
using OpenQA.Selenium.Support.PageObjects;
using VA.QA.CCRA.TestCases.Common;
using NUnit.Framework;

namespace VA.QA.CCRA.TestCases
{
    public class ReferralDetails 
    {
        //TC 49599 US 47492 Ability to add Referral Details - Care Indicated Date
        [Test]
        public void AddReferralDetails_CareIndicatedDate()

        {
            SharedTestMethods.LoginAsVACCStaffMember();
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            var pageReferralList = pagePatientSearch.NavigateToPageReferralList();
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            pageReferralDetails.SelectClinicallyIndicatedDate();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            //string refDetails = pageReferralDetails.VerifyDetails();
            //TestAssert(refDetails == "asdfasdf");
            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value
            pageReferralDetails.ClearFieldClinicallyIndicatedDate();
            pageReferralDetails.btnUpdate_RefDetPage.Click();
            Thread.Sleep(2000);
            SharedTestMethods.LogoutAndExit();
        }

        //TC 49766 US 47297 Ability to add Referral Details - Service Requested
        [Test]
        public void AddReferralDetails_ServiceRequested()

        {
            SharedTestMethods.LoginAsVACCStaffMember();
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            var pageReferralList = pagePatientSearch.NavigateToPageReferralList();
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);

            pageReferralDetails.ClearFieldServiceRequested();
            pageReferralDetails.SelectCerviceRequestedValue();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value
            //pageReferralDetails.ClearFieldServiceRequested();
            SharedTestMethods.LogoutAndExit();
        }

        //TC 59958 US 47490 Ability to add Referral Details - Referral Type
        [Test]
        public void AddReferralDetails_ReferralType()

        {



            SharedTestMethods.LoginAsVASupervisor();
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            pageReferralDetails.ClearFieldReferralCategory();
            pageReferralDetails.SelectReferralCategoryInpatientOption();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value
            pageReferralDetails.ClearFieldReferralCategory();
            Thread.Sleep(3000);
            pageReferralDetails.SelectReferralCategoryOutpatientOption();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            Thread.Sleep(3000);
            //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value
            pageReferralDetails.ClearFieldReferralCategory();
            pageReferralDetails.btnUpdate_RefDetPage.Click();
            Thread.Sleep(2000);
            SharedTestMethods.LogoutAndExit();
        }

        //TC 51703 US 47302 Ability to add Referral Details - Out Patient
        [Test]
        public void AddReferralDetails_OutPatient()

        {
            SharedTestMethods.LoginAsVASupervisor();
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            pageReferralDetails.ClearFieldReferralCategory();
            pageReferralDetails.SelectReferralCategoryOutpatientOption();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            Thread.Sleep(3000);
            //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value
            pageReferralDetails.ClearFieldReferralCategory();
            pageReferralDetails.btnUpdate_RefDetPage.Click();
            Thread.Sleep(2000);
            SharedTestMethods.LogoutAndExit();
        }


        //TC 51703 US 47302 Ability to add Referral Details - In Patient
        [Test]
        public void AddReferralDetails_InPatient()

        {
            SharedTestMethods.LoginAsVASupervisor();
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            pageReferralDetails.ClearFieldReferralCategory();
            pageReferralDetails.SelectReferralCategoryInpatientOption();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            Thread.Sleep(3000);
            //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value
            pageReferralDetails.ClearFieldReferralCategory();
            pageReferralDetails.btnUpdate_RefDetPage.Click();
            Thread.Sleep(2000);
            SharedTestMethods.LogoutAndExit();
        }

        //TC 49542 US 47307 Ability to Enter and Maintain Insurance Details
        [Test]
        public void AbilityToEnter_InsuranceDetails()

        {
            SharedTestMethods.LoginAsVASupervisor();
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            Assert.IsTrue(pageReferralDetails.moduleInsDetails.Displayed);
            pageReferralDetails.ClearFieldPayor();
            pageReferralDetails.SelectPayorVAOption();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleInsDetails.Displayed);
            /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// Need verification of the value
            pageReferralDetails.ClearFieldPayor();
            pageReferralDetails.btnUpdate_RefDetPage.Click();
            SharedTestMethods.LogoutAndExit();
        }


        //TC US 47526 Ability to Select Referrals - Add Tasks
        [Test]
        public void AbilityToSelectReferrals_AddTasks()

        {
            SharedTestMethods.LoginAsVACCStaffMember();
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            var pageReferralList = pagePatientSearch.NavigateToPageReferralList();
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            var pageTaskEdit = pageReferralDetails.NavigateToTaskEditView();
            Assert.IsTrue(pageTaskEdit.fieldPriority_Required.Displayed);
            Assert.IsTrue(pageTaskEdit.fieldStatus_Required.Displayed);
            pageTaskEdit.lookupTaskItem.Click();
            Thread.Sleep(1000);
            pageTaskEdit.taskItemOption_Message.Click();
            /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// Need verification of the value in the field
            pageTaskEdit.lookupAssignTaskToUser.Click();
            pageTaskEdit.assignToUserOption_CommunityClinician.Click();
            /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// Need verification of the value in the field
            pageTaskEdit.lookupAssignTaskToUser.Click();
            pageTaskEdit.assignToUserOption_CommunityClinician.Click();
            pageTaskEdit.fieldComments.SendKeys("This is a tester comment");
            pageTaskEdit.btnUpdate_TaskEditPage.Click();
            Thread.Sleep(3000);
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            SharedTestMethods.LogoutAndExit();
            SharedTestMethods.LoginAsCommunityClinician();
            /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// Need verification of the value in the field
            SharedTestMethods.LogoutAndExit();
        }

        //TC 49561 US 47493 Add referral details - designate referral
        [Test]
        public void AddReferralDetails_DesignateReferral()

        {

            SharedTestMethods.LoginAsVACCStaffMember();
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            var pageReferralList = pagePatientSearch.NavigateToPageReferralList();
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);

            pageReferralDetails.ClearFieldLevelOfCare();
            pageReferralDetails.SelectLevelOfCareValueComplex();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value
            pageReferralDetails.ClearFieldLevelOfCare();

            pageReferralDetails.btnUpdate_RefDetPage.Click();
            SharedTestMethods.LogoutAndExit();
        }



        //TC 51703 US 47302 Ability to add Referral Details - In Patient/Out Patient
        [Test]
        public void AddReferralDetails_InPatientOutPatient_VAStaffMamber()

        {
            SharedTestMethods.LoginAsVACCStaffMember();
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            var pageReferralList = pagePatientSearch.NavigateToPageReferralList();
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            pageReferralDetails.ClearFieldReferralCategory();
            pageReferralDetails.SelectReferralCategoryOutpatientOption();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            Thread.Sleep(3000);
            //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value
            pageReferralDetails.ClearFieldReferralCategory();
            pageReferralDetails.btnUpdate_RefDetPage.Click();
            Thread.Sleep(2000);
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            pageReferralDetails.SelectReferralCategoryInpatientOption();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();
            Thread.Sleep(3000);
            //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value
            pageReferralDetails.ClearFieldReferralCategory();
            pageReferralDetails.btnUpdate_RefDetPage.Click();
            Thread.Sleep(2000);
            SharedTestMethods.LogoutAndExit();

        }

        //TC 50070 US 47491 Ability to add Referral Details - Modifications to Referrals
        [Test]
        public void AddReferralDetails_ModificationsToReferrals()

        {
            SharedTestMethods.LoginAsVACCStaffMember();
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            var pageReferralList = pagePatientSearch.NavigateToPageReferralList();
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            Assert.IsTrue(pageReferralDetails.Status_lookup.Displayed);
            pageReferralDetails.fieldMedicalNecessity.SendKeys("This is a tester comment");
            pageReferralDetails.fieldClinicalReviewNotes.SendKeys("This is tester Review Notes");

            //pageReferralDetails.ChangeReferralStatusToApptmtMade();
            //pageReferralDetails.ChangeNetworkToCCN1();
            pageReferralDetails.SelectUpdateAndWait();
            pageReferralList.NavigateToReferralDetailsStatusInitial();

            Thread.Sleep(2000);
            Thread.Sleep(2000);

            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value

            pageReferralDetails.ClearAllUsedCommentFields();
            pageReferralDetails.SelectUpdateAndWait();
            //pageReferralDetails.ClearFieldServiceRequested();
            SharedTestMethods.LogoutAndExit();
        }

        //TC 51276 US 47865 Ability to add Referral Details - Documenting Information
        [Test]
        public void AddReferralDetails_DocumentingInformation()

        {
            SharedTestMethods.LoginAsVACCStaffMember();
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
            var pageHome = new PageHome(SharedTestMethods.Driver);
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            pagePatientSearch.linkMainMenu.Click();
            Thread.Sleep(2000);

            //var menuItem = pageHome.Exists (By.LinkText ("Reports"));
            //TestAssert.IsNull(menuItem);

            Assert.IsFalse(pageHome.linkReports.Displayed);

            pageHome.linkFindCreatePatient.Click();



            //var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            //TestAssert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            //TestAssert.IsFalse(pageReferralDetails.referralStatusInitial.Displayed);


            // pageReferralDetails.SelectLevelOfCareValueUrgent();



            Thread.Sleep(2000);

            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////Need verification of the value

            //pageReferralDetails.ClearAllUsedCommentFields();
            //pageReferralDetails.SelectUpdateAndWait();
            //pageReferralDetails.ClearFieldServiceRequested();
            SharedTestMethods.LogoutAndExit();
        }


        [Test]
        public void FieldVerification()

        {
            SharedTestMethods.LoginAsVASupervisor();
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            var pageReferralDetails = pageReferralList.NavigateToReferralDetailsStatusInitial();
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);

            //DateTime dt = DateTime.Now;

           // DateTime dt1 = DateTime.Now.AddDays (-7);

            //string date = dt1.ToString("d");
            string date2 = DateTime.Now.AddDays (-7).ToString("MM/dd/yyyy");




            //TestAssert.IsTrue(moduleReferralDetails.Displayed);
            //TestAssert.IsTrue(pageReferralDetails.Status_lookup.Displayed);
            //pageReferralDetails.fieldMedicalNecessity.SendKeys("This is a tester comment");
            //pageReferralDetails.fieldClinicalReviewNotes.SendKeys("This is tester Review Notes");
            SharedTestMethods.LogoutAndExit();
        }







    }
}